// blueface.inc  POV-Ray include file of the blue parts of the face of
//   a Lafayette Quad receiver for the Quad project.  

// (c) December 2004 Mark Stout

// blueface = radiodial + radiometer

// bluedial = radioamlettering, radiofmdots, radioamdots, radiofmlettering, radiodividerline

// radiofmlettering 

#declare radiofmlettering = object { 
   text {
    ttf "EUROB.TTF" "FM         88                        92                        96                     100                     104                     108", 1, 0
    }
  scale <0.155, 0.3, 0.01>
  translate <19.5, 63.6, 21.5> 
  }

// radiofmdots = radiofmdot88 thru 108

// radiofmdottemplate

#declare radiofmdottemplate = object {
//  disc { <0, 63.55, 21.5>, <0, 0, 1>, 0.03 } little too high
  disc { <0, 63.5, 21.5>, <0, 0, 1>, 0.03 }  
  }
  
// radiofmdot88 

#declare radiofmdot88 = object {
  radiofmdottemplate
  translate <20.32, 0, 0> // good
  }

// radiofmdot90 

#declare radiofmdot90 = object {
  radiofmdottemplate
  translate <21.4655, 0, 0>
  }

// radiofmdot92 

#declare radiofmdot92 = object {
  radiofmdottemplate
  translate <21.85, 0, 0> // good 
  }

// radiofmdot94 

#declare radiofmdot94 = object {
  radiofmdottemplate
  translate <22.611, 0, 0>
  }

// radiofmdot96 

#declare radiofmdot96 = object {
  radiofmdottemplate
  translate <23.38, 0, 0> // good
  }

// radiofmdot98 

#declare radiofmdot98 = object {
  radiofmdottemplate
  translate <24.09, 0, 0>
  }

// radiofmdot100 

#declare radiofmdot100 = object {
  radiofmdottemplate
  translate <24.8, 0, 0>
  }

// radiofmdot102 

#declare radiofmdot102 = object {
  radiofmdottemplate
  translate <25.55, 0, 0>
  }

// radiofmdot104 

#declare radiofmdot104 = object {
  radiofmdottemplate
  translate <26.3, 0, 0> // good
  }

// radiofmdot106 

#declare radiofmdot106 = object {
  radiofmdottemplate
  translate <27.06, 0, 0>
  }

// radiofmdot108 

#declare radiofmdot108 = object {
  radiofmdottemplate
//  translate <27.8, 0, 0> too far right
  translate <27.78, 0, 0> 
  }

// sum radiofmdot88 thru 108 into radiofmdots

#declare radiofmdots = union {
  object { radiofmdot88 }
  object { radiofmdot90 }
  object { radiofmdot92 }
  object { radiofmdot94 }
  object { radiofmdot96 }
  object { radiofmdot98 }
  object { radiofmdot100 }
  object { radiofmdot102 }
  object { radiofmdot104 }
  object { radiofmdot106 }
  object { radiofmdot108 }
  }

// radioamlettering

#declare radioamlettering = object { 
   text {
    ttf "EUROB.TTF" "AM            55            60                  70              80         90        100            120             140            160", 1, 0
    }
  scale <0.15, 0.2, 0.01>
  translate <19.5, 63.0, 21.5> 
  }

// radioamdots = radioamdot55 thru radioamdot160

// radioamdottemplate 

#declare radioamdottemplate = object {
  disc { <0, 63.24, 21.5>, <0, 0, 1>, 0.03 } // good heigth
  }
   
// radioamdot55 

#declare radioamdot55 = object {
  radioamdottemplate
  translate <20.5, 0, 0> // good
  }

// radioamdot60 

#declare radioamdot60 = object {
  radioamdottemplate
  translate <21.35, 0, 0> // good
  }

// radioamdot70 

#declare radioamdot70 = object {
  radioamdottemplate
  translate <22.52, 0, 0> // good 
  }

// radioamdot80 

#declare radioamdot80 = object {
  radioamdottemplate
  translate <23.45, 0, 0> // good
  }

// radioamdot90 

#declare radioamdot90 = object {
  radioamdottemplate
  translate <24.15, 0, 0> // good
  }

// radioamdot100 

#declare radioamdot100 = object {
  radioamdottemplate
  translate <24.825, 0, 0>
  }

// radioamdot120 

#declare radioamdot120 = object {
  radioamdottemplate
  translate <25.78, 0, 0> // good
  }

// radioamdot140 

#declare radioamdot140 = object {
  radioamdottemplate
  translate <26.79, 0, 0>  
  }

// radioamdot160 

#declare radioamdot160 = object {
  radioamdottemplate
  translate <27.72, 0, 0>   
  }

// sum radioamdot55 thru 160 into radioamdots

#declare radioamdots = union {
  object { radioamdot55 }
  object { radioamdot60 }
  object { radioamdot70 }
  object { radioamdot80 }
  object { radioamdot90 }
  object { radioamdot100 }
  object { radioamdot120 }
  object { radioamdot140 }
  object { radioamdot160 }
  }

// radiodividerline (black lettering on top must be declared seperately because these are blue-emerald parts) 

#declare radiodividerline = object {
  box { <19.0, 63.34, 21.49>, <28.0, 63.41, 21.5> } 
  } 

// sum radioamlettering, radiofmlettering and radiodividerline into bluedial

#declare bluedial = union {
  object { radiofmlettering }
  object { radiofmdots }
  object { radioamlettering }
  object { radioamdots }
  object { radiodividerline }
  texture { dialc }
  }

// bluemeter

#declare bluemeter = object { 
  box { <16.1669, 63.375, 21.49>, <18.27813, 63.938, 21.5> }
  texture { meterc }
  }

// sum bluedial and bluemeter into blueface

#declare blueface = union { 
  object { bluedial }
  object { bluemeter }
  }
 
 