// brushedface.inc  POV-Ray include file of the brushed aluminum 
//   parts of a Lafayette receiver for the Quad project
// (c) December 2004 Mark Stout

// brushedface = radiotopplate + radiofaceleft + radiofaceright + radioknobbacks
//   + radiobuttonwashers + radiobuttonfillers 

// radiotopplate

#declare radiotopplate = object {
  box { <12.5, 64.5, 21.99>, <31.5, 65, 22> }
  }

// radiofaceleft

#declare radiofaceleft = object {
  box { <12.5, 60, 21.99>, <13, 65, 22> }
  }

// radiofaceright

#declare radiofaceright = object {
  box { <31, 60, 21.99>, <31.5, 65, 22> }
  }

// radioknobbacks = radioknobbackleft + radioknobbackright

// radioknobbackleft

#declare radioknobbackleft = object { 
  box { <12.5, 60, 21.99>, <15.526, 62.25, 22> }
  }

// radioknobbackright

#declare radioknobbackright = object { 
  box { <18.613, 60, 21.99>, <31.5, 62.25, 22> }
  }

// sum radioknobbackleft and radioknobbackright into radioknobbacks

#declare radioknobbacks = union {
  object { radioknobbackleft }
  object { radioknobbackright }
  } 

// radiobuttonwashers = radiobuttonwasher1 thru 5

// radiobuttonwasher1

#declare radiobuttonwasher1 = object {
  disc { <15.6635, 61.125, 22>, <0, 0, 1>, 0.5655, 0.1375 }
  }

// radiobuttonwasher2

#declare radiobuttonwasher2 = object {
  disc { <16.3665, 61.125, 22>, <0, 0, 1>, 0.5655, 0.1375 }
  }

// radiobuttonwasher3

#declare radiobuttonwasher3 = object {
  disc { <17.0695, 61.125, 22>, <0, 0, 1>, 0.5655, 0.1375 }
  }

// radiobuttonwasher4

#declare radiobuttonwasher4 = object {
  disc { <17.7725, 61.125, 22>, <0, 0, 1>, 0.5655, 0.1375 }
  }

// radiobuttonwasher5

#declare radiobuttonwasher5 = object {
  disc { <18.4755, 61.125, 22>, <0, 0, 1>, 0.5655, 0.1375 }
  }

// sum radiobuttonwasher1 thru 5 into radiobuttonwashers

#declare radiobuttonwashers = union {
  object { radiobuttonwasher1 }
  object { radiobuttonwasher2 }
  object { radiobuttonwasher3 }
  object { radiobuttonwasher4 }
  object { radiobuttonwasher5 }
  } 

// radiobuttonfillers = topbuttonfiller + lowbuttonfiller

// topbuttonfiller

#declare topbuttonfiller = object {
  box { <15.098, 61.2625, 21.99>, <19.041, 62.25, 22> }
  }

// lowbuttonfiller

#declare lowbuttonfiller = object {
  box { <15.098, 60.0, 21.99>, <19.041, 60.9875, 22> }
  }

// sum topbuttonfiller, lowbuttonfiller and rightbuttonfiller into radiobuttonfillers

#declare radiobuttonfillers = union {
  object { topbuttonfiller }
  object { lowbuttonfiller }
  }

// sum radiotopplate, radiofaceleft, radiofaceright, radioknobbacks, radiobuttonwashers 
//   and radiobuttonfillers into brushedface 

#declare brushedface = union {
  object { radiotopplate }
  object { radiofaceleft }
  object { radiofaceright }
  object { radioknobbacks }
  object { radiobuttonwashers }
  object { radiobuttonfillers }
  texture { aluminumc }
  }

