// chromeface.inc  POV-Ray include file of the chrome parts of 
//   the face of a Lafayette receiver for the Quad project 
// (c) December 2004 Mark Stout

 
// chromeface = chromeknobs + chromebuttons 

// chromeknobs = chromeknobs1 thru 5

// chromeknob1 

#declare chromeknob1 = object {
    cone { <0, 0, 0.05>, 0.5, <0, 0, 0.151>, 0 
    }
  }

// chromeknob2

#declare chromeknob2 = object {
  cylinder { <0, 0, 0.05>, <0, 0, 0.3>, 0.45 
    }
  }  

// chromeknob3

#declare chromeknob3 = object {
  cylinder { <0, 0, 0.2>, <0, 0, 0.32>, 0.35 
    }
  }  

// chromeknob4 = chromeknob41 thru chromeknob46

// chromeknob41 

#declare chromeknob41 = object {
  box { <-0.11, -0.4, 0.31>, <0.11, 0.4, 0.6> }
  }

// chromeknob42 

#declare chromeknob42 = object {
  chromeknob41
  rotate <0, 0, 30>
  }

// chromeknob43 

#declare chromeknob43 = object {
  chromeknob41
  rotate <0, 0, 60>
  }

// chromeknob44 

#declare chromeknob44 = object {
  chromeknob41
  rotate <0, 0, 90>
  }

// chromeknob45 

#declare chromeknob45 = object {
  chromeknob41
  rotate <0, 0, 120>
  }

// chromeknob46 

#declare chromeknob46 = object {
  chromeknob41
  rotate <0, 0, 150>
  }

// sum chromeknob41 thru chromeknob46 into chromeknob4

#declare chromeknob4 = union {
  object { chromeknob41 }
  object { chromeknob42 }
  object { chromeknob43 }
  object { chromeknob44 }
  object { chromeknob45 }
  object { chromeknob46 }
  }

// chromeknob5

#declare chromeknob5 = object {
  cone { <0, 0, 0.6>, 0.39, <0, 0, 0.61>, 0.365 
    }
  }

// sum chromeknob1 thru chromeknob6 into chromeknob

#declare chromeknob = union {
  object { chromeknob1 }
  object { chromeknob2 }
  object { chromeknob3 }
  object { chromeknob4 }
  object { chromeknob5 }
  scale <0.707, 0.707, 1> // size correction
  }  

// chromeknobs = chromeselectorknob + chrometuningknob + chromefunctionknob + chromemasterknob +
//   chromebalanceknob + chromebassknob + chrometrebleknob and chromespeakerknob

// chromeselectorknob

#declare chromeselectorknob = object {
  chromeknob
  rotate <0, 0, 90>
  translate <14.4075, 63.375, 21.5>
  }

// chromeknob4a = modified "knob4" for tuning

#declare chromeknob4a = object {
  chromeknob4
  translate <0, 0, -0.31>
  scale <1, 1, 1.5>      
  translate <0, 0, 0.01>
  // cone base belongs in "z" of 0.51
  }
  
// chromeknob5a = modified "knob5" for tuning

#declare chromeknob5a = object {
  chromeknob5
  translate <0, 0, 0.51>
  } 

// chrometuningknob

#declare chrometuningknob = union {
  object { chromeknob1 }
  object { chromeknob4a }
  object { chromeknob5 }
  translate <29.5925, 63.375, 21.5>
  }

// chromefunctionknob

#declare chromefunctionknob = object {
  chromeknob
  rotate <0, 0, -72>
//  translate <13.906, 61.125, 21.5> too far "in"
  translate <13.906, 61.125, 22.0>
  }
// chromemasterknob

#declare chromemasterknob = object {
  chromeknob
  rotate <0, 0, 21>
  translate <19.8815, 61.125, 22.0>
  }

// chromebalanceknob

#declare chromebalanceknob = object {
  chromeknob
  rotate <0, 0, 1>
  translate <21.9905, 61.125, 22.0>
  }

// chromebassknob

#declare chromebassknob = object {
  chromeknob
  rotate <0, 0, -5>
  translate <24.0995, 61.125, 22.0>
  }

// chrometrebleknob

#declare chrometrebleknob = object {
  chromeknob  
  rotate <0, 0, 2>
  translate <26.2085, 61.125, 22.0> 
  }

// chromespeakerknob

#declare chromespeakerknob = object {
  chromeknob
  rotate <0, 0, -72>
  translate <28.3175, 61.125, 22.0>
  }

//  sum chromeselectorknob, chrometuningknob, chromefunctionknob, chromemasterknob, chromebalanceknob, 
//   chromebassknob, chrometrebleknob and chromespeakerknob into chromeknobs

#declare chromeknobs = union {
  object { chromeselectorknob }
  object { chrometuningknob }
  object { chromefunctionknob }
  object { chromemasterknob }
  object { chromebalanceknob }
  object { chromebassknob }
  object { chrometrebleknob }
  object { chromespeakerknob }
  }

// chromebuttons = chrometapebutton + chromestereobutton + chromeloudbutton + 
//   chromehifilbutton + chromefmmutebutton 

// chromebutton = chromebutton1 and 2

// chromebutton1

#declare chromebutton1 = object {
  cylinder { <0, 0, -0.5>, <0, 0, 0.18>, 0.125 }
  }

// chromebutton2

#declare chromebutton2 = object {
  cone { <0.0, 0.0, 0.18>, 0.125, <0.0, 0.0, 0.2>, 0.106 }
  }

// sum chromebutton1 thru 2 into chromebutton

#declare chromebutton = union {
  object { chromebutton1 }
  object { chromebutton2 }
  }

// chrometapebutton

#declare chrometapebutton = object {
  chromebutton
  translate <15.6635, 61.125, 22.0>
  }

// chromestereobutton

#declare chromestereobutton = object {
  chromebutton
  translate <16.3665, 61.125, 22.0>
  }

// chromeloudbutton

#declare chromeloudbutton = object {
  chromebutton
  translate <17.0695, 61.125, 22.0> 
  }

// chromehifilbutton

#declare chromehifilbutton = object {
  chromebutton
  translate <17.7725, 61.125, 22.0> 
  }

// chromefmmutebutton

#declare chromefmmutebutton = object {
  chromebutton
  translate <18.4755, 61.125, 22.0>
  }

// sum chrometapebutton, chromestereobutton, chromeloudbutton, chromehifilbutton, chromefmmutebutton into chromebuttons 

#declare chromebuttons = union {
  object { chrometapebutton }
  object { chromestereobutton }
  object { chromeloudbutton }
  object { chromehifilbutton }
  object { chromefmmutebutton }
  }

// sum chromeknobs and chromebuttons into chromeface 

#declare chromeface = union {
  object { chromeknobs }
  object { chromebuttons }
  texture { chromec }
  }

