// cord.inc  POV-Ray include file to render headphone
//   cord for the Quad project
// (c) January 2005, Mark Stout

// cord = cordstageone + cordstagetwo + cordwyeone + cordstagethree + cordcoils + 
//   cordstagefour + cordwyetwo + cordstagefive + plugs

// cordstageone = cordstageoneleft + cordstageoneright

// cordstageoneleft 

#declare cordstageoneleft = object {
  sphere_sweep {
    b_spline
    10,
    <27.75, 67.6, 21.00>, 0.05
    <28.75, 67.6, 21.00>, 0.05
    <30.5, 67.6, 20.75>, 0.05
    <30.9, 67.6, 20.75>, 0.05
    <31.8, 65.50, 20.21>, 0.05
    <32.05, 65.05, 19.67>, 0.05
    <32.37, 64.5, 19.13 >, 0.05
    <32.68, 63.5, 18.59>, 0.05
    <33.0, 62.5, 18.05>, 0.05
    <33.3, 61.5, 18.0>, 0.05
    tolerance 0.001
    }
  }  

// cordstageoneright 

#declare cordstageoneright = object {
  sphere_sweep {
    b_spline
    10,
    <27.75, 67.6, 15.7>, 0.05 
    <28.75, 67.6, 15.7>, 0.05 
    <30.5, 67.6, 16.0>, 0.05
    <30.9, 67.6, 16.0>, 0.05
    <31.8, 65.50, 16.39>, 0.05
    <32.05, 65.05, 16.78>, 0.05
    <32.37, 64.5, 17.17>, 0.05
    <32.68, 63.5, 17.56>, 0.05
    <33.0, 62.5, 17.95>, 0.05
    <33.3, 62.2, 18.0>, 0.05
    tolerance 0.001
    }
  }  

// sum cordstageoneleft and cordstageoneright into cordstageone

#declare cordstageone = union {
  object { cordstageoneleft }
  object { cordstageoneright }
  }

// cordwyeone

#declare cordwyeone = object {
  sphere { <33, 62.5, 18>, 0.2 }
  }

// cordstagethree

#declare cordstagethree = object {
  cylinder { <33, 62.5, 18>, <33.12, 60.24, 16>, 0.12 }
  }

// cordcoils = coilfirsthalf + coilsecondhalf

// coilfirsthalf = coilfirstquarter + coilsecondquarter

// coilfirstquarter = cordtorus1 thru 4

// cordtorus1

#declare cordtorus1 = object {
  torus { 0.36, 0.12 }
  rotate <90, 33, 0>
  translate <33.3, 60.48, 16.125>
  }
  
// cordtorus2

#declare cordtorus2 = object {
  cordtorus1
  translate <0, 0, 0.25>
  }  

// cordtorus3

#declare cordtorus3 = object {
  cordtorus2
  translate <0, 0, 0.25>
  }  

// cordtorus4

#declare cordtorus4 = object {
  cordtorus3
  translate <0, 0, 0.25>
  }  

// sum cordtorus1 thru 4 into coilfirstquarter

#declare coilfirstquarter = union {
  object { cordtorus1 }
  object { cordtorus2 }
  object { cordtorus3 }
  object { cordtorus4 }
  }

// coilsecondquarter

#declare coilsecondquarter = object {
  coilfirstquarter
  translate <0, 0, 1>
  }

// sum coilfirstquarter and coilsecondquarter into coilfirsthalf

#declare coilfirsthalf = union {
  object { coilfirstquarter }
  object { coilsecondquarter }
  }

// coilsecondhalf

#declare coilsecondhalf = object {
  coilfirsthalf
  translate <0, 0, 2>
  }

// sum coilfirsthalf and coilsecondhalf into cordcoils

#declare cordcoils = union {
  object { coilfirsthalf }
  object { coilsecondhalf }
  }

// cordstagefour

#declare cordstagefour = object {
  cylinder { <33.12, 60.12, 20>, <33.0, 60.12, 24>, 0.12 }
  }

// cordwyetwo

#declare cordwyetwo = object {
  sphere { <33.0, 60.12, 24>, 0.2 }
  }

// cordstagefive = cordstagefivefront + cordstagefiverear

// cordstagefivefront

#declare cordstagefivefront = object {
  sphere_sweep {
    b_spline
    9,
    <30.436, 61.50, 22.0>, 0.05
    <30.436, 61.50, 23.0>, 0.05
    <30.436, 61.50, 26.0>, 0.05
    <30.436, 59.00, 27.0>, 0.05
    <31.720, 58.50, 27.5>, 0.05
    <33.000, 59.00, 26.0>, 0.05
    <33.000, 60.125, 25.0>, 0.05
    <33.000, 60.125, 24.0>, 0.05
    <33.000, 60.125, 21.0>, 0.05
    tolerance 0.001
    }
  }  

// cordstagefiverear

#declare cordstagefiverear = object {
  sphere_sweep {
    b_spline
    9,
    <30.436, 60.75, 22.0>, 0.05
    <30.436, 60.75, 23.0>, 0.05
    <30.436, 60.75, 25.0>, 0.05
    <30.436, 58.00, 26.0>, 0.05
    <31.720, 57.50, 26.5>, 0.05
    <33.000, 58.00, 25.0>, 0.05
    <33.000, 60.115, 24.5>, 0.05
    <33.000, 60.115, 24.0>, 0.05
    <33.000, 60.115, 21.0>, 0.05
    tolerance 0.001
    }
  }  

// sum cordstagefivefront and cordstagefiverear into cordstagefive

#declare cordstagefive = union {
  object { cordstagefivefront }
  object { cordstagefiverear }
  } 

// plugs = frontplug + rearplug

// frontplug

#declare frontplug = object {
//  cylinder { <30.436, 61.5, 22>, <30.436, 61.5, 24>, 0.22 } too long
  cylinder { <30.436, 61.5, 22>, <30.436, 61.5, 23>, 0.22 }
  }
  
// rearplug

#declare rearplug = object {
  cylinder { <30.436, 60.75, 22>, <30.436, 60.75, 23>, 0.22 }
  }

// sum frontplug and rearplug into plugs

#declare plugs = union { 
  object { frontplug }
  object { rearplug }
  }

// sum cordstageone, cordstagetwo, cordwyeone, cordstagethree, cordcoils,  
//   cordstagefour, cordwyetwo, cordstagefive and plugs into cord

#declare cord = union {
  object { cordstageone }
  object { cordwyeone }
  object { cordstagethree }
  object { cordcoils }
  object { cordstagefour }
  object { cordwyetwo }
  object { cordstagefive }
  object { plugs }
  texture { cordsatinc }
  } 

