// display.inc  POV-Ray include file of an LCD display for the Quad project
// (c) January, 2005, Mark Stout

// display = displayblackparts + displayscreen

// displayblackparts = displaybase + displayback + displayframe

// displaybase = displayfoot + displayneck

// displayfoot

#declare displayfoot = object {
  box { <27.5, 40, 24>, <36.5, 40.5, 33> }
  }

// displayneck

#declare displayneck = object {
  box { <29.5, 40, 30>, <34.5, 49, 31> }
  }

// sum displayfoot and displayneck into displaybase

#declare displaybase = union {
  object { displayfoot }
  object { displayneck }
  } 

// displayback

#declare displayback = object {
  box { <24, 44.5, 31>, <40, 58, 31.5> }
  }

// displayframe = displayframetop + displayframelow + displayframeleft + displayframeright

// displayframetop

#declare displayframetop = object {
  box { <24, 57, 31>, <40, 58, 32> }
  }

// displayframelow

#declare displayframelow = object {
  box { <24, 44.5, 31>, <40, 45.5, 32> }
  }

// displayframeleft

#declare displayframeleft = object {
  box { <24, 44.5, 31>, <25, 58, 32> }
  }

// displayframeright

#declare displayframeright = object {
  box { <39, 44.5, 31>, <40, 58, 32> }
  }

// sum displayframetop, displayframelow, displayframeleft and displayframeright into displayframe

#declare displayframe = union {
  object { displayframetop }
  object { displayframelow }
  object { displayframeleft }
  object { displayframeright }
  }

// sum displaybase, displayback and displayframe into displayblackparts

#declare displayblackparts = union {
  object { displaybase }
  object { displayback }
  object { displayframe }
  texture { mattecharcoalc }
  }

// displayscreen = screenback + screentitle + screenlines + screenchrome + screenback

// screenback

#declare screenback = object { 
  box { <25, 45.5, 31.4>, <39, 57, 31.6> }
  texture { screenbackc }
  }

// screentitle

#declare screentitle = object {
  text {
    ttf "ARIALNB.TTF" "SOUND SETUP", 2, 0
    }
  texture { mattedarkredc }
  scale <1.8, 1.2, 0.002>
//  translate <27, 56.0, 31.601> too high
  translate <27, 55.5, 31.601> 
  }

// screenlines = screensurround + screeneffects + screenmusic + screenquality

// screensurround

#declare screensurround = object {
  text {
    ttf "ARIALNB.TTF" "SURROUND: ON", 2, 0
    }
  texture { matteivoryc }
  scale <0.8, 0.8, 0.002>
  translate <29.0, 52.0, 31.601> 
  }

// screeneffects = effectslettering + effectscontrol

// effectslettering

#declare effectslettering = object { 
  text {
    ttf "ARIALNB.TTF" "EFFECTS:", 2, 0
    }
  texture { mattedarkredc }
  scale <0.8, 0.8, 0.002>
//  translate <30.0, 51.0, 31.601> 
  translate <29.8, 51.0, 31.601> 
  }

// effectscontrol = effectsramp + effectsslider

// effectsramp
  
#declare effectsramp = object {
  polygon { 4, <-0.2, 0.0, 31.601>, <0.2, 0.1, 31.601>, <0.2, 0.0, 31.601>, <-0.2, 0.0, 31.601> }
  texture { slidergoldc }
  }  

// effectslider

#declare effectsslider = object {
  disc { <0, 0.04, 31.602>, <0, 0, 1>, 0.08 }
  scale <0.2, 1, 1>
  texture { mattedarkredc }
  }
  
// sum effectsramp and effectsslider into effectscontrol

#declare effectscontrol = union {
  object { effectsramp }
  object { effectsslider }
  scale <5, 5, 1>
  translate <34.0, 51.0, 0>
  } 

// sum effectslettering and effectscontrol into screeneffects

#declare screeneffects = union {
  object { effectslettering }
  object { effectscontrol }
  }

// screenmusic = musiclettering + musiccontrol

// musiclettering 

#declare musiclettering = object { 
  text {
    ttf "ARIALNB.TTF" "MUSIC:", 2, 0
    }
  texture { mattedarkredc }
  scale <0.8, 0.8, 0.002>
  translate <30.65, 50.0, 31.601> 
  }

// musiccontrol = musicramp + musicslider

// musicramp 

#declare musicramp = object {
  effectsramp
  translate <0, 0, 0>
  }

// musicslider 

#declare musicslider = object {
  effectsslider
  translate <-0.1, 0, 0>
  }

// sum musicramp + musicslider into musiccontrol

#declare musiccontrol = union {
  object { musicramp }
  object { musicslider }
  scale <5, 5, 1>
  translate <34.0, 50.0, 0>
  } 

// sum musiclettering and musiccontrol into screenmusic

#declare screenmusic = union {
  object { musiclettering }
  object { musiccontrol }
  } 

// screenquality

#declare screenquality = object { 
  text {
    ttf "ARIALNB.TTF" "QUALITY: HIGH", 2, 0
    }
  texture { mattedarkredc }
  scale <0.8, 0.8, 0.002>
  translate <29.9, 49.0, 31.601> 
  }



// sum screensurround, screeneffects, screenmusic, screenquality into screenlines

#declare screenlines = union {
  object { screensurround }
  object { screeneffects }
  object { screenmusic }
  object { screenquality }
  }

// screenchrome = screenchromering + screenchromespike

// screenchromering

#declare screenchromering = object {
  disc { <0, 0, 0>, <0, 0, 1>, 3.5, 3.25 }
  scale <1.8, 1.2, 1>
  translate <32, 50.25, 31.601> 
  }

// screenchromespike 

#declare screenchromespike = object {
  polygon { 6, <-0.3, 0.5, 31.601>, <0.3, 0.5, 31.601>, <0.1, 0.4, 31.601>, 
               <0, 0, 31.601>, <-0.1, 0.4, 31.601>, <-0.3, 0.5, 31.601> }
  scale <2, 3, 1>
  translate <32, 45.2, 0>  
  }

// sum screenchromering and screenchromespike into screenchrome

#declare screenchrome = union {
  object { screenchromering }
  object { screenchromespike }
  texture { screenquec }
  }

// sum screenback, screentitle, screenlines, screenchrome and screenback into displayscreen 

#declare displayscreen = union {
  object { screenback }
  object { screentitle }
  object { screenlines }
  object { screenchrome }
  }  

// sum displayblackparts and displayscreen into display

#declare display = union {
  object { displayblackparts }
  object { displayscreen }
  translate <-8, 0, 0>
  }