// earpieces.inc  POV-Ray include file to render headphones for the Quad project
// (c) January 2005, Mark Stout

// earpieces = leftearpiece + rightearpiece

// leftearpiece = leftphone + leftcushion


// leftphone = phonegrey + phonelettering

// phonegrey

#declare phonegrey = object { 
  sphere { <0, 0, 0>, 1 }
  scale <2, 2, 1.5>
  translate <28, 67.5, 20>
    texture {
      glosscharcoalc
    }
  }

// phonelettering = phoneletteringcore "included" with phoneletteringball

// phonelettering = phoneleftlabel + phone4chlabel + phonepioneer

// phoneleftlabel

#declare phoneleftlabel = object {
  text {
    ttf "arialbd.ttf" "L", 2, 0
    }
  scale <0.3, 0.3, 1.0>
  rotate <0, 0, 90>
  translate <28.6, 67.5, 19.5> 
  }

// phone4chlabel

#declare phone4chlabel = object {
  text {
    ttf "arialnb.ttf" "4-CH", 2, 0
    }
//  scale <0.2, 0.2, 1> too big
  scale <0.16, 0.16, 1>
  rotate <0, 0, 90>
  translate <28.25, 67.4, 19.803> 
  }

// phonepioneer

#declare phonepioneer = object {
  text {
    ttf "arialbd.ttf" "PIONEER", 2, 0
    }
  scale <0.2, 0.2, 1>
  rotate <0, 0, 90>
  translate <28.0, 67.1, 19.803> 
  }

// phonepolyray

#declare phonepolyray = object {
  text {
    ttf "arialbd.ttf" "POLYRAY", 2, 0
    }
  scale <0.2, 0.2, 1>
  rotate <0, 0, 90>
  translate <28.0, 67.1, 19.803> 
  }

// sum phoneleftlabel + phone4chlabel + phonepioneer into phoneletteringcore

#declare phoneletteringcore = union {
  object { phoneleftlabel }
  object { phone4chlabel }
//  object { phonepioneer } // enable for "Pioneer", comment out for "Polyray"
  object { phonepolyray }
  }

// phoneletteringball ("included" with lettering to keep it close to earcup)

#declare phoneletteringball = object { 
  sphere { <0, 0, 0>, 1.001 }
  scale <2, 2, 1.5>
  translate <28, 67.5, 20>
  }

// "include" phoneletteringcore and phoneletteringball into phonelettering

#declare phonelettering = intersection {
  object { phoneletteringcore }
  object { phoneletteringball }
  texture { glosswhitec }
  }

// sum phonegrey and phonelettering into leftphone

#declare leftphone = union {
  object { phonegrey }
  object { phonelettering }
  }

// leftcushion

#declare leftcushion = object {
  torus { 2, 1 }
  rotate <90, 0, 0>
  scale <1, 0.8333, 1>
  translate <28, 67.5, 19>
  texture { glossblackc }
  }

// sum leftphone and leftcushion into leftearpiece

#declare leftearpiece = union {
  object { leftphone }
  object { leftcushion }
  }

// rightearpiece

#declare rightearpiece = object {
  leftearpiece
  translate <-28, -67.5, -18> // move to origin
  rotate <180, 0, 0>          // flip over
  translate <28, 67.5, 18>    // return to receiver top
  }

// sum leftearpiece and rightearpiece into earpieces

#declare earpieces = union {
  object { leftearpiece }
  object { rightearpiece }
  }
