// garage.inc POV-Ray include file of a garage for the quad project
// (c) January, 2005 Mark Stout

//#include "backwall.inc" // comment out and use "boring" wall below for speedup

// garage = roof + leftwall + deck + backwall

// roof

#declare roof = object {
  box { <-4, 120, -4>, <277, 125, 277> }
  texture { glosswhitec }
  }

// leftwall

#declare leftwall = object {
  box { <-1, -1, -1>, <0, 121, 277> }
  texture { 
    DougFirc
    rotate <1, 2, 95>
    scale <10, 10, 10>
    }
  }

// deck

#declare deck = object {
  box { <-4, -4, -4>, <277, 0, 277> }
  texture { glossgreyc }
  }

// backwall = backwallK1

// Declare backwallK1 as backwall and apply texture

#declare backwall = object {
  box { <-1, -1, -0.2>, <120, 120, 0> } // blank, boring piece for speedup
  texture { burlapc } // "good", slow texture
// texture { mattegreyc } // "cheap", fast texture
  }
 
// garagedoor = garagedoorwhite + garagedoorbrown

// garagedoorwhite

#declare garagedoorwhite = object {
  box { < 0, 0, 200>, <200, 200, 201> }
  texture { garagedoorwhitec }
  }

// garagedoorbrown = garagedoorbrownB1 thru B4

// garagedoorbrownB1 = garagedoorbrownA1 thru A4

// garagedoorbrownA1 

#declare garagedoorbrownA1 = object {
  box { <0, 15.5, 199>, <200, 16.5, 200> }
  } 

// garagedoorbrownA2

#declare garagedoorbrownA2 = object {
  garagedoorbrownA1
  translate <0, 16, 0>
  } 
  
// garagedoorbrownA3

#declare garagedoorbrownA3 = object {
  garagedoorbrownA1
  translate <0, 32, 0>
  } 
  
// garagedoorbrownA4

#declare garagedoorbrownA4 = object {
  garagedoorbrownA1
  translate <0, 48, 0>
  } 

// sum garagedoorbrownA1 thru A4 into garagedoorbrownB1

#declare garagedoorbrownB1 = union { 
  object { garagedoorbrownA1 }
  object { garagedoorbrownA2 }
  object { garagedoorbrownA3 }
  object { garagedoorbrownA4 }
  }

// garagedoorbrownB2

#declare garagedoorbrownB2 = object {
  garagedoorbrownB1
  translate <0, 64, 0>
  } 

// sum garagedoorbrownB1 and B2 into garagedoorbrown

#declare garagedoorbrown = union { 
  object { garagedoorbrownB1 }
  object { garagedoorbrownB2 }
  texture { garagedoorbrownc }
  }

// sum garagedoorwhite and garagedoorbrown into garagedoor

#declare garagedoor = union {
  object { garagedoorwhite }
  object { garagedoorbrown }
  }

// sum roof, leftwall, floor and backwall into garage

#declare garage = union {
  object { roof }
  object { leftwall }
  object { deck } 
  object { backwall }
  object { garagedoor }
  }

