// glossblackface.inc POV-Ray include file of the gloss black parts 
//   of the face of a Lafayette Quad receiver for the Quad project.  
// (c) January 2005 Mark Stout

// glossblackface = radioblacklettering + radiometerblack 

// radioblacklettering = radiobrand + radioknobletter + radiobuttonletter + radiojackletter + 
//   radioconcentricletter + radioknobpointers 

// radiobrand = radiobrandblack + radiobrandmodel

// radiobrandback (box behind gold "Lafayette" logo

#declare radiobrandback = object {
  box { <27.95, 61.95, 22.0>, <28.9, 62.165, 22.002> }
  } 

// radiobrandmodel

#declare radiobrandmodel = object {
  text {
    ttf "arialbd.ttf" "LR-3000", 2, 0
    }
  scale <0.17, 0.17, 1>
  translate <29.0, 62.0, 20.003> 
  }

// sum radiobrandblack and radiobrandgold into radiobrand

#declare radiobrand = union {
  object { radiobrandback }
  object { radiobrandmodel }
  }

// radioknobletter = radiofunctionknobletter + radiomasterknobletter + radiobalanceknobletter 
//   + radiobassknobletter + radiotrebleknobletter + radiospeakerknobletter

// radiofunctionknobletter = functiontitle + functionmarks + functionlabels

// functiontitle

#declare functiontitle = object { 
  text {
    ttf "ARIALNB.TTF" "FUNCTION", 2, 0
    }
  scale <0.18, 0.18, 0.001>
  translate <13.55, 60.4, 22.0> 
  }

// functionmarks = stereomark + rmmark + sqmark + cd4mark + discretemark

// functionmarktemplate

#declare functionmarktemplate = object {
  box { <-0.015, 0.4, 22.0>, <0.015, 0.35, 22.001> }
  }

// stereomark

#declare stereomark = object {
  functionmarktemplate
  rotate <0, 0, -80>
  translate <13.906, 61.125, 0>
  }

// rmmark

#declare rmmark = object {
  functionmarktemplate
  rotate <0, 0, -40>
  translate <13.906, 61.125, 0>
  }

// sqmark 

#declare sqmark = object {
  functionmarktemplate
  rotate <0, 0, 0>
  translate <13.906, 61.125, 0>
  }

// cd4mark 

#declare cd4mark = object {
  functionmarktemplate
  rotate <0, 0, 40>
  translate <13.906, 61.125, 0>
  }

// discretemark 

#declare discretemark = object {
  functionmarktemplate
  rotate <0, 0, 80>
  translate <13.906, 61.125, 0>
  }

// sum stereomark, rmmark, sqmark, cd4mark and discretemark into functionmarks

#declare functionmarks = union {
  object { stereomark }
  object { rmmark }
  object { sqmark }
  object { cd4mark }
  object { discretemark }
  }

// functionlabels = stereolabel + rmlabel + sqlabel + cd4label + discretelabel

// stereolabel

#declare stereolabel = object { 
  text {
    ttf "ARIALNB.TTF" "2 CH", 2, 0
    }
  scale <0.14, 0.14, 0.001>
  translate <13.22, 61.15, 22.0> 
  }

// rmlabel

#declare rmlabel = object { 
  text {
    ttf "ARIALNB.TTF" "RM", 2, 0
    }
  scale <0.14, 0.14, 0.001>
  translate <13.45, 61.40, 22.0> 
  }

// sqlabel= sqtop + sqlow

// sqtop

#declare sqtop = object { 
  text {
    ttf "ARIALBD.TTF" "SQ", 2, 0
    }
  scale <0.14, 0.14, 0.001>
  translate <13.82, 61.70, 22.0> 
  }

// sqlow

#declare sqlow = object { 
  text {
    ttf "ARIALNB.TTF" "FULL LOGIC", 2, 0
    }
  scale <0.14, 0.14, 0.001>
//  translate <13.58, 61.55, 22.0> little too low
  translate <13.58, 61.58, 22.0> 
  }

// sum sqtop and sqlow into sqlabel

#declare sqlabel = union{ 
  object { sqtop }
  object { sqlow }
  }

// cd4label

#declare cd4label = object { 
  text {
    ttf "ARIALNB.TTF" "CD-4", 2, 0
    }
  scale <0.14, 0.14, 0.001>
  translate <14.19, 61.40, 22.0> 
  }

// discretelabel

#declare discretelabel = object { 
  text {
    ttf "ARIALNB.TTF" "DISCRETE", 2, 0
    }
  scale <0.14, 0.14, 0.001>
  translate <14.32, 61.15, 22.0> 
  }

// sum stereolabel, rmlabel, sqlabel, cd4label and discretelabel into functionlabels

#declare functionlabels = union {
  object { stereolabel }
  object { rmlabel }
  object { sqlabel }
  object { cd4label }
  object { discretelabel }
  }

// sum functiontitle, functionmarks and functionlabels into radiofunctionknobletter

#declare radiofunctionknobletter = union {
  object { functiontitle }
  object { functionmarks }
  object { functionlabels }
  }

// radiomasterknobletter

#declare radiomasterknobletter = object {
  text {
    ttf "ARIALNB.TTF" "MASTER", 2, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <19.58, 61.7, 22.0> 
  }

// radiovolumeletter = volumelabel + volumelines

// volumelabel 

#declare volumelabel = object {
  text {
    ttf "ARIALNB.TTF" "VOLUME", 2, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <20.6, 60.5, 22.0> 
  }

// volumelines = volumelefthoriz + volumeleftvert + volumerighthoriz + volumerightvert

// volumelefthoriz

#declare volumelefthoriz = object { 
  box { <19.85, 60.555, 22>, <20.45, 60.565, 22.001> }
  }

// volumeleftvert

#declare volumeleftvert = object { 
  box { <19.85, 60.555, 22>, <19.860, 60.765, 22.001> }
  }

// volumerighthoriz

#declare volumerighthoriz = object { 
  box { <21.4, 60.555, 22>, <22.0, 60.565, 22.001> }
  }

// volumerightvert

#declare volumerightvert = object { 
  box { <21.99, 60.555, 22>, <22.0, 60.765, 22.001> }
  }

// sum volumelefthoriz, volumeleftvert, volumerighthoriz and volumerightvert into volumelines

#declare volumelines = union {
  object { volumelefthoriz }
  object { volumeleftvert }
  object { volumerighthoriz }
  object { volumerightvert }
  }  

// sum volumelabel and volumelines into radiovolumeletter 

#declare radiovolumeletter = union {
  object { volumelabel }
  object { volumelines }
  }  

// radiobalanceknobletter = balancelabel + balancelines + balancelr

// balancelabel

#declare balancelabel = object { 
  text {
    ttf "ARIALNB.TTF" "BALANCE", 2, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <21.62, 61.7, 22.0> 
  }

// balancelines = balancelefthoriz + balanceleftvert + balancerighthoriz + balancerightvert 

// balancelefthoriz 

#declare balancelefthoriz = object {
  box { <21.478, 61.765, 21.9>, <21.588, 61.755, 22.001> }
  }

// balanceleftvert  

#declare balanceleftvert = object {
  box { <21.478, 61.765, 21.9>, <21.498, 61.64, 22.001> }
  }

// balancerighthoriz 

#declare balancerighthoriz = object {
  box { <22.368, 61.765, 21.9>, <22.478, 61.755, 22.001> }
  }

// balancerightvert 

#declare balancerightvert = object {
  box { <22.468, 61.765, 21.9>, <22.478, 61.64, 22.001> }
  }

// sum balancelefthoriz, balanceleftvert, balancerighthoriz and balancerightvert into balancelines 

#declare balancelines = union {
  object { balancelefthoriz }
  object { balanceleftvert }
  object { balancerighthoriz }
  object { balancerightvert }
  }

// balancelr

#declare balancelr = object { 
  text {
    ttf "ARIALNB.TTF" "L                      R", 2, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <21.46, 61.5, 22.0> 
  }

// radiobalanceknobletter

#declare radiobalanceknobletter = union {
  object { balancelabel }
  object { balancelines }
  object { balancelr }
  }

// radioconcentricletter = concentriclabels + concentriclines + concentricrounds

// concentriclabels = concentriclabeltop + concentriclabellow

// concentriclabeltop

#declare concentriclabeltop = object {
  text {
    ttf "ARIALNB.TTF" "FRONT", 2, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <-0.25, 0.4, 0.0> 
  }

// concentriclabellow

#declare concentriclabellow = object {
  text {
    ttf "ARIALNB.TTF" "REAR", 2, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <-0.20, -0.5, 0.0> 
  }

// sum concentriclabeltop and concentriclabellow into concentriclabels 

#declare concentriclabels = union {
  object { concentriclabeltop } 
  object { concentriclabellow } 
  }

// concentriclines = concentriclinetop + concentriclinelow

// concentriclinetop 

#declare concentriclinetop = object {
  box { <-0.005, 0.1, 0>, <0.005, 0.3, 0.001> }
  } 

// concentriclinelow 

#declare concentriclinelow = object {
  box { <-0.005, -0.3, 0>, <0.005, 0.0, 0.001> }
  } 

// sum concentriclinetop and concentriclinelow into concentriclines 

#declare concentriclines = union {
  object { concentriclinetop }
  object { concentriclinelow }
  }

// concentricrounds = concentricring + concentrictip

// concentricring

#declare concentricring = object { 
  text {
    ttf "ARIALNB.TTF" "C", 2, 0
    }
  rotate <0, 0, -90>
  scale <0.2, 0.3, 0.002>
//  translate <-0.07, 0.2, 0.0> too far left, too high
//  translate <-0.06, 0.1, 0.0> too far right
  translate <-0.065, 0.1, 0.0> 
  }

// concentrictip

#declare concentrictip = object { 
  text {
    ttf "TIMES.TTF" ".", 2, 0
    }
  scale <0.5, 0.5, 0.002>
  translate <-0.02, 0.0, 0.0> 
  }

// sum concentricring and concentrictip into concentricrounds

#declare concentricrounds = union {
  object { concentricring }
  object { concentrictip }
  }

// sum concentriclabels, concentriclines and concentricrounds into radioconcentricletter

#declare radioconcentricletter = union {
  object { concentriclabels }
  object { concentriclines }
  object { concentricrounds }
  translate <23.1, 61.0, 22.0 > 
  }


// radiobassknobletter

#declare radiobassknobletter = object {
  text {
    ttf "ARIALNB.TTF" "BASS", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <23.911, 61.7, 20.001> 
  }

// radiotoneknobletter = tonelabel + tonelines

// tonelabel 

#declare tonelabel = object {
  text {
    ttf "ARIALNB.TTF" "TONE", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <24.9, 60.5, 20.001> 
  }

// tonelines

#declare tonelines = object {
  volumelines
  translate <4.2, 0, 0>
  }

// sum tonelabel and tonelines into radiotoneknobletter

#declare radiotoneknobletter = union {
  object { tonelabel }
  object { tonelines }
  }

// radiotrebleknobletter

#declare radiotrebleknobletter = object {
  text {
    ttf "ARIALNB.TTF" "TREBLE", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <25.9, 61.7, 20.001> 
  }

// radiospeakerknobletter = speakermarks + speakerlabels + offbox

// speakermarks = speakeroffmark + speakermainmark + speakerbothmark + speakerremmark + speakerphonemark

//#declare functionmarktemplate = object {
//  box { <-0.015, 0.4, 22.0>, <0.015, 0.35, 22.001> }
//  }

// speakeroffmark

#declare speakeroffmark = object {
  functionmarktemplate
  rotate <0, 0, -74>
  translate <28.3175, 61.125, 0.0>
  }

// speakermainmark

#declare speakermainmark = object {
  functionmarktemplate
  rotate <0, 0, -37>
  translate <28.3175, 61.125, 0.0>
  }

// speakerbothmark

#declare speakerbothmark = object {
  functionmarktemplate
  translate <28.3175, 61.125, 0.0>
  }

// speakerremmark

#declare speakerremmark = object {
  functionmarktemplate
  rotate <0, 0, 37>
  translate <28.3175, 61.125, 0.0>
  }

// speakerphonemark

#declare speakerphonemark = object {
  functionmarktemplate
  rotate <0, 0, 74>
  translate <28.3175, 61.125, 0.0>
  }

// sum speakeroffmark, speakermainmark, speakerbothmark, speakerremmark and speakerphonemark into speakermarks 

#declare speakermarks = union {
  object { speakeroffmark }
  object { speakermainmark }
  object { speakerbothmark }
  object { speakerremmark }
  object { speakerphonemark }
  }

// speakerlabels = speakertitle, speakerofflabel, speakermainlabel, speakerbothlabel, speakerremlabel and speakerphonelabel 

// speakertitle 

#declare speakertitle = object { 
text {
    ttf "ARIALNB.TTF" "SPEAKER MODE", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <27.7, 60.4, 20.001> 
  }

// speakerofflabel 

#declare speakerofflabel = object { 
text {
    ttf "ARIALNB.TTF" "OFF", 2, 0
    }
  scale <0.14, 0.14, 1>
//  translate <27.69, 61.20, 20.001> too far right for "offbox"
  translate <27.66, 61.20, 20.001> 
  }

// speakermainlabel

#declare speakermainlabel = object { 
text {
    ttf "ARIALNB.TTF" "MAIN", 2, 0
    }
  scale <0.14, 0.14, 1>
  translate <27.755, 61.40, 20.001> 
  }

// speakerbothlabel

#declare speakerbothlabel = object { 
text {
    ttf "ARIALNB.TTF" "MAIN + REM", 2, 0
    }
  scale <0.14, 0.14, 1>
  translate <28.0, 61.58, 20.001> 
  }

// speakerremlabel

#declare speakerremlabel = object { 
text {
    ttf "ARIALNB.TTF" "REMOTE", 2, 0
    }
  scale <0.14, 0.14, 1>
  translate <28.6, 61.40, 20.001> 
  }

// speakerphonelabel 

#declare speakerphonelabel = object { 
text {
    ttf "ARIALNB.TTF" "PHONES", 2, 0
    }
  scale <0.14, 0.14, 1>
  translate <28.75, 61.20, 20.001> 
  }

// sum speakertitle, speakerofflabel, speakermainlabel, speakerbothlabel, speakerremlabel and speakerphonelabel into speakerlabels 

#declare speakerlabels = union {
  object { speakertitle }
  object { speakerofflabel }
  object { speakermainlabel }
  object { speakerbothlabel }
  object { speakerremlabel }
  object { speakerphonelabel }
  }

// speakeroffbox = offboxtop + offboxbase + offboxleft + offboxright

// offboxtop

#declare offboxtop = object {
  box { <27.62, 61.320, 22.0>, <27.9, 61.330, 22.001> }  
  }

// offboxbase

#declare offboxbase = object {
  box { <27.62, 61.165, 22.0>, <27.9, 61.175, 22.001> }
  }

// offboxleft

#declare offboxleft = object {
  box { <27.62, 61.165, 22.0>, <27.63, 61.330, 22.001> }
  }

// offboxright

#declare offboxright = object {
  box { <27.89, 61.165, 22.0>, <27.9, 61.330, 22.001> }
  }

// sum  offboxtop, offboxbase, offboxleft and offboxright into speakeroffbox

#declare speakeroffbox = union {
  object { offboxtop }
  object { offboxbase }
  object { offboxleft }
  object { offboxright }
  }

// sum speakermarks, speakerlabels and offbox into radiospeakerknobletter

#declare radiospeakerknobletter = union {
  object { speakermarks }
  object { speakerlabels }
  object { speakeroffbox }
  }

// sum radiofunctionknobletter, radiomasterknobletter, radiobalanceknobletter,
//   radiobassknobletter, radiotrebleknobletter and radiospeakerknobletter into radioknobletter

#declare radioknobletter = union {
  object { radiovolumeletter }
  object { radiofunctionknobletter }
  object { radiomasterknobletter }
  object { radiobalanceknobletter }
  object { radioconcentricletter }
  object { radiobassknobletter }
  object { radiotoneknobletter }
  object { radiotrebleknobletter }
  object { radiospeakerknobletter }
  }

// radiobuttonletter = tapebuttonletter + stereobuttonletter + loudbuttonletter + hifilterbuttonletter + mutebuttonletter

// tapebuttonletter = buttonupicon + buttondownicon + sourcelabel + tapelabel + monitorlabel

// sum buttonupicon, buttondownicon, sourcelabel, tapelabel and monitorlabel into tapebuttonletter

// buttonupicon = buttonupbase + buttonupleft + buttonupright + buttonuptop

// buttonupbase

#declare buttonupbase = object {
  box { <14.7, 61.695, 22.0>, <15.1, 61.705, 22.001> }
  }

// buttonupleft

#declare buttonupleft = object {
  box { <14.795, 61.695, 22.0>, <14.805, 61.805, 22.001> }
  }

// buttonupright

#declare buttonupright = object {
  box { <14.995, 61.695, 22.0>, <15.005, 61.805, 22.001> }
  }

// buttonuptop

#declare buttonuptop = object {
  box { <14.795, 61.795, 22.0>, <15.005, 61.805, 22.001> }
  }

// sum buttonupbase, buttonupleft, buttonupright and buttonuptop into buttonupicon

#declare buttonupicon = union {
  object { buttonupbase }
  object { buttonupleft }
  object { buttonupright }
  object { buttonuptop }
  translate <0.25, -0.1, 0>
  } 

// buttondownicon = buttondownbase + buttondowntop

// buttondownbase

#declare buttondownbase = object {
  box { <15, 61.395, 22.0>, <15.405, 61.405, 22.001> }
  }

// buttondowntop

#declare buttondowntop = object {
  box { <15.1, 61.395, 22.0>, <15.305, 61.455, 22.001> }
  }

// sum buttondownbase and buttondowntop into buttondownicon

#declare buttondownicon = union {
  object { buttondownbase }
  object { buttondowntop }
  translate <-0.05, -0.05, 0>
  }

// sourcelabel

#declare sourcelabel = object {
  text {
    ttf "ARIALNB.TTF" "SOURCE", 2, 0
    }
  scale <0.12, 0.18, 0.002>
  translate <15.40, 61.6, 22.0> 
  }
              
// tapelabel 

#declare tapelabel = object {
  text {
    ttf "ARIALNB.TTF" "TAPE", 2, 0
    }
  scale <0.12, 0.18, 0.002>
  translate <15.5, 61.35, 22.0> 
  }
              
// monitorlabel 

#declare monitorlabel = object {
  text {
    ttf "ARIALNB.TTF" "MONITOR", 2, 0
    }
  scale <0.12, 0.18, 0.002>
  translate <15.45, 60.75, 22.0> 
  }
              
// tapebuttonletter

#declare tapebuttonletter = union {
  object { buttonupicon }
  object { buttondownicon }
  object { sourcelabel }
  object { tapelabel }
  object { monitorlabel }
  }

// stereobuttonletter (top word "Stereo", bottom word "Mono"

#declare stereobuttonletter = object {
  text {
    ttf "ARIALNB.TTF" "STEREO", 2, 0
    }
  scale <0.12, 0.18, 1>
  translate <16.15, 61.35, 20.001> 
  }

// loudbuttonletter

#declare loudbuttonletter = object {
  text {
    ttf "ARIALNB.TTF" "LOUD", 2, 0
    }
  scale <0.12, 0.18, 1>
  translate <16.85, 61.35, 20.001> 
  }

// hifilterbuttonletter

#declare hifilterbuttonletter = object {
  text {
    ttf "ARIALNB.TTF" "HI FIL", 2, 0
    }
  scale <0.12, 0.18, 1>
  translate <17.65, 61.35, 20.001> 
  }

// mutebuttonletter

#declare mutebuttonletter = object {
  text {
    ttf "ARIALNB.TTF" "FM MUTE", 2, 0
    }
  scale <0.12, 0.18, 1>
  translate <18.35, 61.35, 20.001> 
  }

// sum tapebuttonletter, stereobuttonletter, loudbuttonletter, hifilterbuttonletter and mutebuttonletter into radiobuttonletter

#declare radiobuttonletter = union {
  object { tapebuttonletter }
  object { stereobuttonletter }
  object { loudbuttonletter }
  object { hifilterbuttonletter }
  object { mutebuttonletter }
  }

// radiojackletter = radiofrontjackletter + radiorearjackletter + radiophonesletter

// radiofrontjackletter

#declare radiofrontjackletter = object {
  text {
    ttf "ARIALNB.TTF" "FRONT", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <30.7, 61.45, 20.001> 
  }

// radiorearjackletter

#declare radiorearjackletter = object {
  text {
    ttf "ARIALNB.TTF" "REAR", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <30.7, 60.7, 20.001> 
  }

// radiophonesletter

#declare radiophonesletter = object {
  text {
    ttf "ARIALNB.TTF" "PHONES", 2, 0
    }
  scale <0.18, 0.18, 1>
  translate <30.2, 61.075, 20.001> 
  }

// sum radiofrontjackletter, radiorearjackletter and radiophonesletter into radiojackletter

#declare radiojackletter = union {
  object  { radiofrontjackletter }
  object  { radiorearjackletter }
  object  { radiophonesletter }
  }

// radioknobpointers = selectorpointer + functionpointer + masterpointer + balancepointer +
//   basspointer + treblepointer + speakerpointer 

// pointertemplate

#declare pointertemplate = object {
  box { <-0.015, 0.150, 22.0>, <0.015, 0.25, 22.112> }
  }

// selectorpointer

#declare selectorpointer = object { 
  pointertemplate 
  rotate <0, 0, 79>
  translate <14.4075, 63.375, 0> 
  }

// functionpointer

#declare functionpointer = object { 
  pointertemplate 
  rotate <0, 0, 82>
//  translate <13.906, 61.125, 0> too far in; invisible
  translate <13.906, 61.125, 0.5> 
  }

// masterpointer

#declare masterpointer = object { 
  pointertemplate 
  rotate <0, 0, 18>
  translate <19.8815, 61.125, 0.5> 
  }

// balancepointer

#declare balancepointer = object { 
  pointertemplate 
  rotate <0, 0, 1>
  translate <21.9905, 61.125, 0.5> 
  }

// basspointer

#declare basspointer = object { 
  pointertemplate 
  rotate <0, 0, 2>
  translate <24.0995, 61.125, 0.5>
  }

// treblepointer

#declare treblepointer = object { 
  pointertemplate 
  rotate <0, 0, 5>
  translate <26.2085, 61.125, 0.5>
  }

// speakerpointer

#declare speakerpointer = object { 
  pointertemplate 
  rotate <0, 0, 37>
  translate <28.3175, 61.125, 0.5>
  }

// sum selectorpointer, functionpointer, masterpointer, balancepointer,
//   basspointer, treblepointer and speakerpointer into radioknobpointers 

#declare radioknobpointers = union {
  object { selectorpointer }
  object { functionpointer }
  object { masterpointer }
  object { balancepointer }
  object { basspointer }
  object { treblepointer }
  object { speakerpointer }
  }
  

// sum radiobrand, radioknobletter, radiobuttonletter, radiojackletter and radioconcentricletter into radioblacklettering

#declare radioblacklettering = union {
  object { radiobrand }
  object { radioknobletter }
  object { radiobuttonletter }
  object { radiojackletter }
  object { radioknobpointers }
  }

// radiometerblack = radiometervane + radiometercurve + radiometeredges + radiometerlettering

// radiometervane

#declare radiometervane = object {
  box { < -0.002, 0, -0.01>, <0.002, 0.85, 0.01> }
  rotate <0, 0, 70>
  translate <17.222515, 63.23425, 21.8>
  }

// radiometercurve = radiometercurvecore intersected with radiometercurvebox 

// radiometercurve

#declare radiometercurve = object { 
  sphere_sweep {
    b_spline
    7,
    <-1.000, 0.000, 0.0>, 0.01
    <-0.866, 0.500, 0.0>, 0.01
    <-0.500, 0.866, 0.0>, 0.01
    < 0.000, 1.000, 0.0>, 0.01
    < 0.500, 0.866, 0.0>, 0.01
    < 0.866, 0.500, 0.0>, 0.01
    <1.000, 0.000, 0.0>, 0.01
    tolerance 0.001
    }
  scale <0.85, 0.563, 0.1>
  translate <17.222515, 63.23425, 21.70>
  }  
  
// radiometeredges = radiometeredgeleft + radiometeredgeright 

// radiometeredgetemplate 

#declare radiometeredgetemplate = object {
  box { <-0.005, 1.0, 21.69>, <0.005, 0.95, 21.71> }
  }

// radiometeredgeleft 

#declare radiometeredgeleft = object {
  radiometeredgetemplate
  rotate <0, 0, 60.5>
  scale <0.85, 0.563, 1>
  translate <17.222515, 63.23425, 0>
  }

// radiometeredgeright 

#declare radiometeredgeright = object {
  radiometeredgetemplate
  rotate <0, 0, -60.5>
  scale <0.85, 0.563, 1>
  translate <17.222515, 63.23425, 0>
  }

#declare radiometeredges = union {
  object { radiometeredgeleft } 
  object { radiometeredgeright } 
  }

// radiometerlettering

#declare radiometerlettering = object {
  text {
    ttf "ARIALNB.TTF" "SIGNAL", 2, 0
    }
  scale <0.12, 0.12, 1>
  translate <17, 63.51575, 19.501> 
  }

// sum radiometervane, radiometercurve, radiometeredges and radiometerlettering into radiometerblack

#declare radiometerblack = union {
  object { radiometervane }
  object { radiometercurve }
  object { radiometeredges }
  object { radiometerlettering }
  }

// glossblackface = radioblacklettering + radiometerblack 
// sum radioblacklettering and radiometerblack into glossblackface

#declare glossblackface = union {
  object { radioblacklettering }
  object { radiometerblack }
  texture { glossblackc }  
}
