// headband.inc  POV-Ray include file to render the headband 
//   for a pair of headphones for the Quad project
//   (c) January 2005, Mark Stout

// headband = headbandchrome + headbandleather

// headbandchrome = phonechromeleft + phonechromeright

// phonechromeleft = phonechromelefttop + phonechromeleftlow

// phonechromelefttop

#declare phonechromelefttop = object {
  cylinder { <24, 68, 20.3>, <28, 68, 21>, 0.05 }
  }

// phonechromeleftlow

#declare phonechromeleftlow = object {
  cylinder { <24, 67, 20.3>, <28, 67, 21>, 0.05 }
  }

// sum phonechromelefttop and phonechromeleftlow into phonechromeleft

#declare phonechromeleft = union {
  object { phonechromelefttop }
  object { phonechromeleftlow }
  }

// phonechromeright

#declare phonechromeright = object {
  phonechromeleft
  translate <-28, -67.5, -18> // move to origin 
  rotate <180, 0, 0>          // flip over
  translate <28, 67.5, 18>    // return to receiver top
  }

// sum phonechromeleft and phonechromeright into headbandchrome

#declare headbandchrome = union {
  object { phonechromeleft }
  object { phonechromeright }
  texture { chromec }
  }

// headbandleather = phoneleathercore "intersected" with phoneleatherbox

// phoneleathercore

#declare phoneleathercore = object {
  torus { 3, 0.333 }
  scale <1, 2, 1>
  }

// phoneleatherbox

#declare phoneleatherbox = object {
  box { <-2, -2, -2>, <2, 2, 2> }
//  rotate <0, 65, 0> this looks wrong
  rotate <0, 45, 0>
  translate <-2.5, 0, 0>
  }

// "intersect" phoneleathercore and phoneleatherbox into headbandleather

#declare headbandleather = intersection {
  object { phoneleathercore }
  object { phoneleatherbox }
  translate <26, 67.5, 18>
  texture { glossblackc }
  }  

// sum headbandchrome and headbandleather into headband

#declare headband = union {
  object { headbandchrome }
  object { headbandleather }
  }
 