// ivoryface.inc Pov-Ray include file of the ivory lettering around the 
// "SELECTOR" knob on a Lafayette receiver for the Quad project
// (c) Janyary 2005 Mark Stout

// ivoryface = selectortitle + selectormarks + selectorpositions

// selectortitle

#declare selectortitle = object {
  text {
    ttf "ARIALNB.TTF" "SELECTOR", 1, 0
    }
  scale <0.18, 0.18, 0.002>
  translate <14.0, 62.7, 21.5> 
}

// selectormarks = aux1mark + aux2mark + phonomark + fmmark + mpxmark + ammark

// selectormarktemplate

#declare selectormarktemplate = object {
  box { <-0.015, 0.45, 21.49>, <0.015, 0.3, 21.5> }
  }

// aux1mark

#declare aux1mark = object {
  selectormarktemplate
  rotate <0, 0, -80>
  translate <14.4075, 63.375, 0.0>
  }

// aux2mark

#declare aux2mark = object {
  selectormarktemplate
  rotate <0, 0, -48>
  translate <14.4075, 63.375, 0.0>
  }

// phonomark

#declare phonomark = object {
  selectormarktemplate
  rotate <0, 0, -16>
  translate <14.4075, 63.375, 0.0>
  }

// fmmark

#declare fmmark = object {
  selectormarktemplate
  rotate <0, 0, 16>
  translate <14.4075, 63.375, 0.0>
  }

// mpxmark

#declare mpxmark = object {
  selectormarktemplate
  rotate <0, 0, 48>
  translate <14.4075, 63.375, 0.0>
  }

// ammark

#declare ammark = object {
  selectormarktemplate
  rotate <0, 0, 80>
  translate <14.4075, 63.375, 0.0>
  }

// sum aux1mark, aux2mark, phonomark, fmmark, mpxmark and ammark into selectormarks

#declare selectormarks = union {
  object { aux1mark }
  object { aux2mark }
  object { phonomark }
  object { fmmark }
  object { mpxmark }
  object { ammark }
  }

// selectorpositions = selaux1label + selaux2label + selphonolabel + 
//   selfmlabel + selmpxlabel + selamlabel

// selaux1label

#declare selaux1label = object {
  text {
    ttf "ARIALNB.TTF" "AUX 1", 1, 0
    }
  scale <0.153, 0.153, 0.002>
  translate <13.5, 63.35, 21.5> 
  }

// selaux2label

#declare selaux2label = object {
  text {
    ttf "ARIALNB.TTF" "AUX 2", 1, 0
    }
  scale <0.153, 0.153, 0.002>
//  translate <13.62, 63.6, 21.5> too low
  translate <13.62, 63.65, 21.5> 
  }

// selphonolabel

#declare selphonolabel = object {
  text {
    ttf "ARIALNB.TTF" "PHONO", 1, 0
    }
  scale <0.153, 0.153, 0.002>
  translate <13.82, 63.9, 21.5> 
  }

// selfmlabel

#declare selfmlabel = object {
  text {
    ttf "ARIALNB.TTF" "FM", 1, 0
    }
  scale <0.153, 0.153, 0.002>
  translate <14.55, 63.9, 21.5> 
  }

// selmpxlabel

#declare selmpxlabel = object {
  text {
    ttf "ARIALNB.TTF" "MPX FIL", 1, 0
    }
  scale <0.153, 0.153, 0.002>
  translate <14.85, 63.65, 21.5> 
  }

// selamlabel

#declare selamlabel = object {
  text {
    ttf "ARIALNB.TTF" "AM", 1, 0
    }
  scale <0.153, 0.153, 0.002>
  translate <14.97, 63.35, 21.5> 
  }

// sum selaux1label, selaux2label, selphonolabel, 
//   selfmlabel, selmpxlabel and selamlabel into selectorpositions

#declare selectorpositions = union {
  object { selaux1label }
  object { selaux2label }
  object { selphonolabel }
  object { selfmlabel }
  object { selmpxlabel }
  object { selamlabel }
  }  

// sum selectortitle, selectormarks, selectorpositions into ivoryface

#declare ivoryface = union { 
  object { selectortitle }
  object { selectormarks }
  object { selectorpositions }
  texture { glossivoryc }
}

