// klipsch.inc  POV-Ray include file of a Klipsch Cornwall loudspeaker for the Quad project
// (c) January 2005 by Mark Stout

// klipsch = klipschbox + klipschdrivers + klipschnameplate

// klipschbox = klipschframe + klipschmotorboard

// klipschframe = klipschframeleft + klipschframeright + klipschframetop + klipschframelow

// klipschframeleft = klipschframeleftmain + klipschframeleftface

// klipschframeleftmain

#declare klipschframeleftmain = object {
  box { <38, 40, 6>, <38.1, 74, 21.9> }
  texture { 
    maplec 
    scale <0.2, 5, 0.2>
    rotate <1, 92, 5>
    rotate <-90, 0, 0>
    }
  }  

// klipschframeleftface

#declare klipschframeleftface = object {
  box { <38, 40, 21.9>, <39, 74, 22> }
  texture { glossblackc }
  }

// sum klipschframeleftmain and klipschframeleftface into klipschframeleft

#declare klipschframeleft = union {
  object { klipschframeleftmain }
  object { klipschframeleftface }
  }

// klipschframeright = klipschframerightmain + klipschframerightface

// klipschframerightmain

#declare klipschframerightmain = object {
  box { <59.9, 40, 6>, <60, 74, 21.9> }
  texture { 
    maplec 
    scale <0.2, 5, 0.2>
    rotate <1, 92, 5>
    rotate <-90, 0, 0>
    }
  }

// klipschframerightface

#declare klipschframerightface = object {
  box { <59, 40, 21.9>, <60, 74, 22> }
  texture { glossblackc }
  }

// sum klipschframerightmain and klipschframerightface into klipschframeright

#declare klipschframeright = union {
  object { klipschframerightmain }
  object { klipschframerightface }
  }

// klipschframetop = klipschframetopmain + klipschframetopface

// klipschframetopmain

#declare klipschframetopmain = object {
  box { <38, 73.9, 6>, <60, 74, 21.9> }
  texture { 
    maplec
    scale <5, 0.2, 0.2>
    }
  }

// klipschframetopface

#declare klipschframetopface = object {
  box { <38, 73, 21.9>, <60, 74, 22> }
  texture { glossblackc }
  }

// sum klipschframetopmain and klipschframetopface into klipschframetop

#declare klipschframetop = union {
  object { klipschframetopmain }
  object { klipschframetopface }
  }  

// klipschframelow

#declare klipschframelow = object {
  box {<38, 40, 21.9>, <60, 41, 22> }
  texture { glossblackc }
  }

// sum klipschframeleft, klipschframeright, klipschframetop and klipschframelow into klipschframe

#declare klipschframe = union {
  object { klipschframeleft }
  object { klipschframeright }
  object { klipschframetop }
  object { klipschframelow }
  }

// klipschmotorboard = motorhorizontals + motorverticals + motorwasher + woofercylinder

// motorhorizontals = motorhoriz1 thru motorhoriz5

// motorhoriz1 

#declare motorhoriz1 = object {
  box { <38.9, 71, 21>, <59.1, 73.1, 21.95> }
  }

// motorhoriz2 

#declare motorhoriz2 = object {
  box { <38.9, 67, 21>, <59.1, 69, 21.95> }
  }

// motorhoriz3 

#declare motorhoriz3 = object {
  box { <38.9, 59, 21>, <59.1, 63, 21.95> }
  }

// motorhoriz4 

#declare motorhoriz4 = object {
  box { <38.9, 43, 21>, <59.1, 47, 21.95> }
  }

// motorhoriz5 

#declare motorhoriz5 = object {
  box { <38.9, 40.9, 10>, <59.1, 41, 21.95> }
  }

// sum motorhoriz1 thru motorhoriz5 into motorhorizontals

#declare motorhorizontals = union {
  object { motorhoriz1 }
  object { motorhoriz2 }
  object { motorhoriz3 }
  object { motorhoriz4 }
  object { motorhoriz5 }
  }

// motorverticals = motorvert1 thru 9

// motorvert1: left of tweeter

#declare motorvert1 = object {
  box { <38.9, 67, 21>, <46, 73.1, 21.95> }
  }

// motorvert2: right of tweeter

#declare motorvert2 = object {
  box { <52, 67, 21>, <59.1, 73.1, 21.95> }
  }

// motorvert3: left of mid

#declare motorvert3 = object {
  box { <38.9, 59, 21>, <44, 69, 21.95> }
  }

// motorvert4: right of mid

#declare motorvert4 = object {
  box { <54, 59, 21>, <59.1, 69, 21.95> }
  }

// motorvert5: left of woofer

#declare motorvert5 = object {
  box { <38.9, 43, 21>, <43, 69, 21.95> }
  }

// motorvert6: right of woofer

#declare motorvert6 = object {
  box { <55, 43, 21>, <59.1, 69, 21.95> }
  }

// motervert7; left of ducts

#declare motorvert7 = object {
  box { <38.9, 40.9, 21>, <41, 45, 21.95> }
  }

// motervert8; betwen ducts

#declare motorvert8 = object {
  box { <48.5, 40.9, 21>, <49.5, 45, 21.95> }
  }

// motervert9; right of ducts

#declare motorvert9 = object {
  box { <57, 40.9, 21>, <59.1, 45, 21.95> }
  }

// sum motorvert1 thru 9 into motorverticals

#declare motorverticals = union {
  object { motorvert1 }
  object { motorvert2 }
  object { motorvert3 }
  object { motorvert4 }
  object { motorvert5 }
  object { motorvert6 }
  object { motorvert7 }
  object { motorvert8 }
  object { motorvert9 }
  } 

// motorwasher

#declare motorwasher = object { 
  disc { <49, 53, 21.95>, <0, 0, 1>, 9, 6 }
  }

// motorcylinder 

#declare motorcylinder = object {
  cylinder { <49, 53, 21>, <49, 53, 21.95>, 6 open }
  }

// sum motorhorizontals, motorverticals, motorwasher and woofercylinder into klipschmotorboard

#declare klipschmotorboard = union {
  object { motorhorizontals }
  object { motorverticals }
  object { motorwasher }
  object { motorcylinder }
  material { MotorboardC 
    rotate <1, 2, 95>
    scale <10, 10, 10>
    }
  }

// sum klipschframe and klipschmotorboard into klipschbox

#declare klipschbox = union {
  object { klipschframe }
  object { klipschmotorboard }
  }

// klipschdrivers = tweeter + midrange + woofer

// tweeter = tweeterhorn + tweeterlens + tweeterbullet

// tweeterhorn = tweeterhornleft + tweeterhornright + tweeterhorntop + tweeterhornlow

// tweeterhornleft

#declare tweeterhornleft = object {
  cylinder { <46, 68, 15>, <46, 72, 15>, 6 }
  }

// tweeterhornright

#declare tweeterhornright = object {
  cylinder { <52, 68, 15>, <52, 72, 15>, 6 }
  }

// tweeterhorntop

#declare tweeterhorntop = object {
  box { <46, 71, 15>, <52, 72, 21> }
  }

// tweeterhornlow

#declare tweeterhornlow = object {
  box { <46, 68, 15>, <52, 69, 21> }
  }

// sum tweeterhornleft, tweeterhornright, tweeterhorntop, tweeterhornlow into tweeterhorn

#declare tweeterhorn = union {
  object { tweeterhornleft }
  object { tweeterhornright }
  object { tweeterhorntop }
  object { tweeterhornlow }
  texture { tweeterhornc }
  } 

// tweeterlens = tweeterlenstop + tweeterlenslow

// tweeterlenstop

#declare tweeterlenstop = object {
  cylinder { <46, 70.5, 20.8>, <52, 70.5, 20.8>, 0.05 }
  } 

// tweeterlenslow

#declare tweeterlenslow = object {
  cylinder { <46, 69.5, 20.8>, <52, 69.5, 20.8>, 0.05 }
  } 

// sum tweeterlens and tweeterlens into tweeterlens

#declare tweeterlens = union {
  object { tweeterlenstop }
  object { tweeterlenslow }
  texture { tweeterhornc }
  } 

// tweeterbullet = tweeterbulletcore + tweeterbulletskirt

// tweeterbulletcore 

#declare tweeterbulletcore = object {
  sphere { <49, 70, 20.6>, 0.2 }
  }  

// tweeterbulletskirt 

#declare tweeterbulletskirt = object {
  torus { 0.3, 0.1 }
  rotate <90, 0, 0>
  translate <49, 70, 20.6>
  }  

// sum tweeterbulletcore and tweeterbulletskirt into tweeterbullet

#declare tweeterbullet = union {
  object { tweeterbulletcore }
  object { tweeterbulletskirt }
  texture { 
    tweeterchromec
    translate <49, 70, 0>
    }
  }

// sum tweeterhorn, tweeterlens and tweeterbullet into tweeter

#declare tweeter = union {
  object { tweeterhorn }
  object { tweeterlens }
  object { tweeterbullet }
  }

// midrange = midhorntop + midhornlow + midhornleft + midhornright + midhornback

// midhorntop

#declare midhorntop = object {
  polygon { 5, <44, 67, 21>, <48, 65.5, 15>, <50, 65.5, 15>, <54, 67, 21>, <44, 67, 21> }
  texture { midhornc }
  }

// midhornlow

#declare midhornlow = object {
  polygon { 5, <44, 63, 21>, <48, 64.5, 15>, <50, 64.5, 15>, <54, 63, 21>, <44, 63, 21> }
  texture { midhornc }
  }

// midhornleft

#declare midhornleft = object {
  polygon { 5, <44, 63, 21>, <48, 64.5, 15>, <48, 65.5, 15>, <44, 67, 21>, <44, 63, 21> }
  texture { midhornc }
  }

// midhornright

#declare midhornright = object {
  polygon { 5, <54, 63, 21>, <50, 64.5, 15>, <50, 65.5, 15>, <54, 67, 21>, <54, 63, 21> }
  texture { midhornc }
  }

// midhornback

#declare midhornback = object { 
  box { <47, 64, 14>, <51, 66, 15> }
  texture { middriverc }
  }
  
// sum midhorntop, midhornlow, midhornleft and midhornright into midrange

#declare midrange = union {
  object { midhorntop }
  object { midhornlow }
  object { midhornleft }
  object { midhornright }
  object { midhornback }
  }

// woofer = woofercone + wooferball

// woofercone

#declare woofercone = object {
  cone { <49, 53, 18>, 0, <49, 53, 21>, 6 open }
  texture { mattegreyc }
  }

// wooferball

#declare wooferball = object {
  sphere { <49, 53, 16>, 4 }
  texture { matteblackc }
  }

// sum woofercone and wooferball into woofer 

#declare woofer = union {
  object { woofercone }
  object { wooferball }
  }

// sum tweeter, midrange and woofer into klipschdrivers

#declare klipschdrivers = union {
  object { tweeter }
  object { midrange }
  object { woofer }
  }

// klipschnameplate = klipschbrass + klipschlettering

// klipschbrass 

#declare klipschbrass = object {
  box { <47, 71.5, 21>, <51, 72, 22> }
  texture { NameplateC }
  }

// klipschlettering (original) 

#declare klipschlettering = object { 
  text {
    ttf "ARIALNB.TTF" "klipsch", 2, 0
    }
  scale <1.2, 0.5, 1>
  translate <47.4, 71.61, 20.001> 
  texture { glossblackc }
  }

// vividlettering

#declare vividlettering = object { 
  text {
    ttf "ARIALNB.TTF" "vivid", 2, 0
    }
  scale <1.5, 0.5, 1>
  translate <47.6, 71.61, 20.001> 
  texture { glossblackc }
  }

// sum klipschbrass and klipschlettering = klipschnameplate

#declare klipschnameplate = union {
  object { klipschbrass }
//  object { klipschlettering } // enable for "klipsch", comment out for "vivid"
  object { vividlettering } // enable for "vivid", comment out for "klipsch" 
  } 

// klipschvelcro = leftvelcro + rightvelcro

// leftvelcro = topvelcro + midvelcro + lowvelcro

// topvelcro

#declare topvelcro = object {
  box { <39, 72, 22>, <40, 73, 22.05> }
  }


// midvelcro

#declare midvelcro = object {
  topvelcro
  translate <0, -15.5, 0>
  }

// lowvelcro

#declare lowvelcro = object {
  topvelcro
  translate <0, -31, 0>
  }

// sum topvelcro, midvelcro and lowvelcro into leftvelcro

#declare leftvelcro = union {
  object { topvelcro }
  object { midvelcro }
  object { lowvelcro }
  }

// rightvelcro

#declare rightvelcro = object {
  leftvelcro
  translate <19, 0, 0>
  }

// sum leftvelcro and rightvelcro into klipschvelcro

#declare klipschvelcro = union {
  object { leftvelcro }
  object { rightvelcro }
  texture { matteblackc }
  }

// sum klipschbox, klipschdrivers, klipschvelcro and klipschnameplate into klipsch

#declare klipsch = union {
  object { klipschbox } 
  object { klipschdrivers } 
  object { klipschnameplate }  
  object { klipschvelcro }  // skipping for now
  }