// metalface.inc Pov-ray include file of the the metal parts of 
//   a face of a Lafayette Quad receiver
// (c) December 2004 Mark Stout

#include "brushedface.inc"
#include "chromeface.inc" 
#include "spunface.inc"


// metalface = goldface, brushedface, chromeface and spunface

// goldfaces don't rate thier own include file

// goldface "Lafayette" 

#declare lafayettegold = object {
  text {
    ttf "VeraSeBd.ttf" "Lafayette", 2, 0
    }
  scale <0.17, 0.17, 1>
  translate <28, 62.0, 20.003> 
  texture { NameplateC }
  }

// goldface "POV-Ray"

#declare povraygold = object {
  text {
    ttf "VeraSeBd.ttf" "POV-Ray", 2, 0
    }
  scale <0.17, 0.17, 1>
  translate <28, 62.0, 20.003> 
  texture { NameplateC }
  }

// sum brushedface, chromeface, spunface and goldface into metalface

#declare metalface = union { 
  object { brushedface } 
  object { chromeface } 
  object { spunface }
  object { povraygold } // enable for "POV-Ray", comment out for "Lafayette"
//  object { lafayettegold } // enable for "Lafayette", comment out for "Pov-Ray"
  }

