// radiolid.inc  Pov-Ray include file of the top of a Lafayette 
//   Quad receiver for the quad project 
// (c) December 2004 Mark Stout

// Note that the bulk of this file is the grille on the top of the cabinet 

// radiolid = radiolidface + radiolidback

// radiolidface

#declare radiolidface = object {
  box { <12.5, 64.5, 21>, <31.5, 65, 21.99> }
  texture { 
    aluminumc
    scale <100, 0.1, 0.1>
     }
  }

// radiolidback = radiolidwood + radiolidgrille 
// "wood" is wood frame around vent
// "grille" is the perforated metal vent

// radiolidwood = radiolidwoodfront + radiolidwoodback + radiolidwoodleft + radiolidwoodright

// radiolidwoodfront 

#declare radiolidwoodfront = object { 
  box { <12.5, 64.5, 17>, <31.5, 65, 21> }
  }

// radiolidwoodback 

#declare radiolidwoodback = object { 
  box { <12.5, 64.5, 7>, <31.5, 65, 11> }
  }

// radiolidwoodleft 

#declare radiolidwoodleft = object { 
  box { <12.5, 64.5, 7>, <16.25, 65, 21> }
  }

// radiolidwoodright 

#declare radiolidwoodright = object { 
  box { <27.5, 64.5, 17>, <31.5, 65, 11> }
  }

// sum radiolidwoodfront, radiolidwoodback, radiolidwoodleft, radiolidwoodright into radiolidwood 

#declare radiolidwood = union {
  object { radiolidwoodfront }
  object { radiolidwoodback }
  object { radiolidwoodleft }
  object { radiolidwoodright }
  texture { 
    maplec 
    rotate <90, 0, 0>
    scale <0.2, 50, 0.2>
    rotate <1, 2, 95>
    }
  } 

// radiolidgrille = radiolidgrilleG1

// radiolidgrilleF1 = radiolidgrilleE1 thru E4 

// radiolidgrilleE1 = radiolidgrilleD1 thru D4  

// radiolidgrilleD1 = radiolidgrilleC1 thru C4  

// radiolidgrilleC1 = radiolidgrilleB1 thru B4  

// radiolidgrilleB1 = radiolidgrilleA1 thru A4  

// radiogrilleA1 = radiogrillewasher1 + radiogrillewasher2 + radiogrillewashere + radiogrillewasher4 

// radiogrillewasher1

#declare radiogrillewasher1 = object {
  disc { <15.2, 64.9, 10>, <0, 1, 0>, 0.3, 0.1 }
  }

// radiogrillewasher2

#declare radiogrillewasher2 = object {
  disc { <15.6, 64.9, 10.0>, <0, 1, 0>, 0.3, 0.1 }
  }

// radiogrillewasher3

#declare radiogrillewasher3 = object {
  disc { <15.0, 64.9, 10.4>, <0, 1, 0>, 0.3, 0.1 }
  }

// radiogrillewasher4

#declare radiogrillewasher4 = object {
  disc { <15.4, 64.9, 10.4>, <0, 1, 0>, 0.3, 0.1 }
  }

// sum radiogrillewasher1 thru grillewasher4 into radiogrilleA1  

#declare radiogrilleA1 = union { // Tested Good!
  object { radiogrillewasher1 }
  object { radiogrillewasher2 }
  object { radiogrillewasher3 }
  object { radiogrillewasher4 }
  }

// radiogrilleA2

#declare radiogrilleA2 = object {
  radiogrilleA1
  translate <0.8, 0, 0>
  }

// radiogrilleA3

#declare radiogrilleA3 = object {
  radiogrilleA1
  translate <0, 0, 0.8>
  }

// radiogrilleA4

#declare radiogrilleA4 = object {
  radiogrilleA1
  translate <0.8, 0, 0.8>
  }

// sum radiogrilleA1 thru A4 into radiogrilleB1

#declare radiogrilleB1 = union { // Tested Good!
  object { radiogrilleA1 }
  object { radiogrilleA2 }
  object { radiogrilleA3 }
  object { radiogrilleA4 }
  }  

// radiogrilleB2 

#declare radiogrilleB2 = object {
  radiogrilleB1
  translate <1.6, 0, 0>
  }

// radiogrilleB3 

#declare radiogrilleB3 = object {
  radiogrilleB1
  translate <0, 0, 1.6>
  }

// radiogrilleB4 

#declare radiogrilleB4 = object {
  radiogrilleB1
  translate <1.6, 0, 1.6>
  }

// sum radiogrilleB1 thru B4 into radiogrilleC1

#declare radiogrilleC1 = union {
  object { radiogrilleB1 }
  object { radiogrilleB2 }
  object { radiogrilleB3 }
  object { radiogrilleB4 }
  }  

// radiogrilleC2 

#declare radiogrilleC2 = object {
  radiogrilleC1
  translate <3.2, 0, 0>
  }

// radiogrilleC3 

#declare radiogrilleC3 = object {
  radiogrilleC1
  translate <0, 0, 3.2>
  }

// radiogrilleC4 

#declare radiogrilleC4 = object {
  radiogrilleC1
  translate <3.2, 0, 3.2>
  }

// sum radiogrilleC1 thru C4 into radiogrilleD1

#declare radiogrilleD1 = union {
  object { radiogrilleC1 }
  object { radiogrilleC2 }
  object { radiogrilleC3 }
  object { radiogrilleC4 }
  }  

// radiogrilleD2 

#declare radiogrilleD2 = object {
  radiogrilleD1
  translate <6.4, 0, 0>
  }

// radiogrilleD3 

#declare radiogrilleD3 = object {
  radiogrilleD1
  translate <0, 0, 6.4>
  }

// radiogrilleD4 

#declare radiogrilleD4 = object {
  radiogrilleD1
  translate <6.4, 0, 6.4>
  }

// sum radiogrilleD1 and D2 into radiogrilleE1

#declare radiogrilleE1 = union {
  object { radiogrilleD1 }
  object { radiogrilleD2 }
  translate <0, 0, 1>
  }  

// define radiogrille as radiogrilleE1 and apply texture

#declare radiolidgrille = object {
  radiogrilleE1  
  texture { garagedoorbrownc }
  }
 
// sum radiolidwood and radiolidgrille into radiolidback

#declare radiolidback = union {
  object { radiolidwood }
  object { radiolidgrille }   
  }
   
// sum radiolidface and radiolidback into radiolid

#declare radiolid = union {
  object { radiolidface }
  object { radiolidback }
  }
