// redface.inc  POV-Ray include file of the radio pointer for a 
//   Lafayette "Quad" receiver for the Quad project
//   (c) January 2005 Mark Stout

// redface = redclear + redmirror + stereolight

// stereolight between meter and dial, above blue line, about in line
//   with "FM 88 92" etc.
//   much brighter in middle than on edges. 

// redclear

#declare redclear = object {
//  box { <-0.03, -1.2, -0.4>, <0.03, 0.3, 0> } // too high
  box { <-0.03, -1.5, -0.4>, <0.03, 0.5, 0> }
  material { lucitec }
  }
  
// redmirror

#declare redmirror = object {
  box { <-0.03, 0, -0.01>, <0.03, 0.2, 0> }
  rotate <-45, 0, 0>
  translate <0, -1.5, 0>
  texture { redmirrorc }
  }

// stereolight

#declare stereolight = object {
  text {
    ttf "ARIALBD.TTF" "STEREO", 2, 0
    }
  texture { stereoc }
  scale <0.10, 0.14, 0.002>
  translate <-2.35, -0.62, 0> 
  }

// sum redclear and redmirror into redface

#declare redface = union {
  object { redclear }
  object { redmirror }
  object { stereolight }
  translate <21, 64, 22>
  }
