// spunface.inc  POV-Ray include file of the spun knob faces
//  of a Lafayette receiver for the Quad project 
// (c) December 2004 Mark Stout

// spunface = spunknobs + spunbuttons

// spunknobs = spunselector + spuntuning + spunfunction + spunmaster + spunbalance +
//   + spunbass + spuntreble + spunspeaker  

// spunknobtemplate

#declare spunknobtemplate = object {
  disc { <0, 0, 0.611>, <0, 0, 1>, 0.258 
    texture { spunaluminumc }  
    }
  }

// spunselectorknob

#declare spunselectorknob = object {
  spunknobtemplate
  rotate <0, 0, 90>
  translate <14.4075, 63.375, 21.5>
  }

// spuntuningknob

#declare spuntuningknob = object {
  spunknobtemplate
  scale < 1.4144, 1.4144, 2>
  translate <29.5925, 63.375, 20.89>
  }

// spunfunctionknob

#declare spunfunctionknob = object {
  spunknobtemplate
  rotate <0, 0, -72>
  translate <13.906, 61.125, 22>
  }

// spunmasterknob

#declare spunmasterknob = object {
  spunknobtemplate
  rotate <0, 0, 21>
  translate <19.8815, 61.125, 22>
  }

// spunbalanceknob

#declare spunbalanceknob = object {
  spunknobtemplate
  rotate <0, 0, 1>
  translate <21.9905, 61.125, 22>
  }

// spunbassknob

#declare spunbassknob = object {
  spunknobtemplate
  rotate <0, 0, -5>
  translate <24.0995, 61.125, 22>
  }

// spuntrebleknob

#declare spuntrebleknob = object {
  spunknobtemplate  
  rotate <0, 0, 2>
  translate <26.2085, 61.125, 22> 
  }

// spunspeakerknob

#declare spunspeakerknob = object {
  spunknobtemplate
  rotate <0, 0, -72>
  translate <28.3175, 61.125, 22>
  }

// sum spunselector, spuntuning, spunfunction, spunmaster, spunbalance, spunbass, 
//   spuntreble and spunspeaker into spunknobs 

#declare spunknobs = union {
  object { spunselectorknob }
  object { spuntuningknob }
  object { spunfunctionknob }
  object { spunmasterknob }
  object { spunbalanceknob }
  object { spunbassknob }
  object { spuntrebleknob }
  object { spunspeakerknob }
  } 

// spunbuttons = spuntape + spunstereo + spunloud + spunhifil + spunfmmute

// spunbuttontemplate 

#declare spunbuttontemplate = object { 
  disc { <0.0, 0.0, 0.201>, <0, 0, 1>, 0.106 
  texture { spunaluminumc }
    }  
  }

// spuntapebutton

#declare spuntapebutton = object {
  spunbuttontemplate
  translate <15.6635, 61.125, 22.0>
  }

// spunstereobutton

#declare spunstereobutton = object {
  spunbuttontemplate 
  translate <16.3665, 61.125, 22.0>
  }

// spunloudbutton

#declare spunloudbutton = object {
  spunbuttontemplate 
  translate <17.0695, 61.125, 22.0> 
  }

// spunhifilbutton

#declare spunhifilbutton = object {
  spunbuttontemplate 
  translate <17.7725, 61.125, 22.0> 
  }

// spunfmmutebutton

#declare spunfmmutebutton = object {
  spunbuttontemplate 
  translate <18.4755, 61.125, 22.0>
  }

//  sum spuntapebutton, spunstereobutton, spunloudbutton, spunhifilbutton and 
//    spunfmmutebutton into spunbuttons   

#declare spunbuttons = union {
  object { spuntapebutton }
  object { spunstereobutton }
  object { spunloudbutton }
  object { spunhifilbutton }
  object { spunfmmutebutton }
  }

// sum spunknobs and spunbuttons into spunface

#declare spunface = union {
  object { spunknobs }
  object { spunbuttons }
  }

