// strain.inc  POV-Ray include file to render strain-releif's on a 
//   headphone cord at the jacks and ear pieces
//   for the Quad project
// (c) January, 2005, Mark Stout

// strain = plugstrains + earcupstrains

// straintemplate = straindiscs + strainvert and strainhoriz

// straindiscs = straindisc20, straindisc18, straindisc16, straindisc14 and straindisc12

// straindisc20

#declare straindisc20 = object { 
  cylinder { < 0, 0, -0.75>, <0, 0, 0.08>, 0.20 }
  }

// straindisc18

#declare straindisc18 = object { 
  cylinder { < 0, 0, 0.12>, <0, 0, 0.16>, 0.18 }
  }

// straindisc16

#declare straindisc16 = object { 
  cylinder { < 0, 0, 0.20>, <0, 0, 0.24>, 0.16 }
  }

// straindisc14

#declare straindisc14 = object { 
  cylinder { < 0, 0, 0.28>, <0, 0, 0.32>, 0.14 }
  }

// straindisc12

#declare straindisc12 = object { 
  cylinder { < 0, 0, 0.36>, <0, 0, 0.40>, 0.12 }
  }

// sum straindisc20, straindisc18, straindisc16, straindisc14 and straindisc12 into straindiscs 

#declare straindiscs = union {
  object { straindisc20 }
  object { straindisc18 }
  object { straindisc16 }
  object { straindisc14 }
  object { straindisc12 }
  }

// strainvert = strainvert21 + strainvert17 + strainvert13

// strainvert21

#declare strainvert21 = object {
  box { <-0.02, 0.21, 0.0>, <0.02, -0.21, 0.02> }
  }

// strainvert17

#declare strainvert17 = object {
  box { <-0.02, 0.17, 0.16>, <0.02, -0.17, 0.20> }
  }

// strainvert13

#declare strainvert13 = object {
  box { <-0.02, 0.13, 0.32>, <0.02, -0.13, 0.36> }
  }

// sum strainvert21, strainvert17, strainvert13 into strainvert

#declare strainvert = union {
  object { strainvert21 }
  object { strainvert17 }
  object { strainvert13 }
  }

// strainhoriz = strainhoriz19 and strainhoriz15

// strainhoriz19

#declare strainhoriz19 = object {
  box { <-0.19, 0.02, 0.08>, <0.19, -0.02, 0.12> }
  }

// strainhoriz15

#declare strainhoriz15 = object {
  box { <-0.15, 0.02, 0.24>, <0.15, -0.02, 0.28> }
  }

// sum strainhoriz19 and strainhoriz15 into strainhoriz

#declare strainhoriz = union {
  object { strainhoriz19 }
  object { strainhoriz15 }
  }

// sum straindiscs, strainvert and strainhoriz into straintemplate

#declare straintemplate = union {
  object { straindiscs }
  object { strainvert }
  object { strainhoriz }
  }

// plugstrains = topplugstrain + lowplugstrain

// topplugstrain

#declare topplugstrain = object {
  straintemplate
  translate <30.435, 61.5, 23>
  }

// lowplugstrain

#declare lowplugstrain = object {
  straintemplate
  translate <30.435, 60.75, 23>
  }

// sum topplugstrain and lowplugstrain into plugstrains

#declare plugstrains = union {
  object { topplugstrain }
  object { lowplugstrain }
  }

// earcupstrains = leftcupstrain + rightcupstrain

// leftcupstrain

#declare leftcupstrain = object {
  straintemplate
  rotate <0, 90, 0>
//  translate <29.75, 67.64, 20.80> too high
  translate <29.75, 67.60, 20.80> 
  }

// rightcupstrain

#declare rightcupstrain = object {
  straintemplate
  rotate <0, 90, 0>
  translate <29.75, 67.68, 15.7>
  }

// sum leftcupstrain and rightcupstrain into earcupstrains

#declare earcupstrains = union {
  object { leftcupstrain }
  object { rightcupstrain }
  }

// sum plugstrains and earcupstrains into strains

#declare strains = union {
  object { plugstrains }
  object { earcupstrains }
  texture { cordsatinc }
  }
