// table.inc Pov-Ray include file of a table for the quad project 
// (c) November 2004 Mark Stout 

// table = tabletop + tablelegs

// tabletop = tablebutcherblock + tableplywood

// tablebutcherblock = firstblock + secondblock

// block1

#declare block1 = object {
  box { <2, 39, 2>, <94, 40, 4> }
  texture { 
    PondPinec
    rotate <91, 2, 5>
    }
  }

// block2

#declare block2 = object {
  block1
  translate <0, 0, 2>
  texture {
    maplec
    rotate <95, 1, 2>
    translate <2, 0, 2>    
    }
  }

// block3

#declare block3 = object {
  block1
  translate <0, 0, 4>
  texture {
    PondPinec
    rotate <92, 5, 1>
    translate <5, 0, 4>    
    }
  }

// block4

#declare block4 = object {
  block1
  translate <0, 0, 6>
  texture {
    maplec
    rotate <91, 2, 5>
    translate <10, 0, 6>    
    }
  }

// block5

#declare block5 = object {
  block1
  translate <0, 0, 8>
  texture {
    PondPinec
    rotate <95, 1, 2>
    translate <20, 0, 8>    
    }
  }

// block6

#declare block6 = object {
  block1
  translate <0, 0, 10>
  texture {
    maplec
    rotate <92, 5, 1>
    translate <50, 0, 10>    
    }
  }

// block7

#declare block7 = object {
  block1
  translate <0, 0, 12>
  texture {
    PondPinec
    rotate <91, 2, 5>
    translate <100, 0, 12>    
    }
  }

// block8

#declare block8 = object {
  block1
  translate <0, 0, 14>
  texture {
    maplec
    rotate <95, 1, 2>
    translate <200, 0, 14>    
    }
  }

// block9

#declare block9 = object {
  block1
  translate <0, 0, 16>
  texture {
    PondPinec
    rotate <92, 5, 1>
    translate <500, 0, 16>    
    }
  }

// sum blocks 1 thru 9 into FirstBlocks

#declare firstblocks = union {
  object { block1 }
  object { block2 }
  object { block3 }
  object { block4 }
  object { block5 }
  object { block6 }
  object { block7 }
  object { block8 }
  object { block9 } 
  }

// secondblocks

#declare secondblocks = object {
  firstblocks
  translate <0, 0, 18>
  }

// sum block1 thru 18 into tablebutcherblock

#declare tablebutcherblock = union {
  object { firstblocks }
  object { secondblocks }
  }

// tableplywood = plywoodtop + plywoodlow

// plywoodtop = plywood1 thru plywood5

// plywood1

#declare plywood1 = object {
  box { <2, 38.9, 2>, <94, 39.0, 38> }
  texture { PondPinec }
  }

// plywood2

#declare plywood2 = object {
  box { <2, 38.8, 2>, <94, 38.9, 38> }
  texture { maplec }
  }

// plywood3

#declare plywood3 = object {
  box { <2, 38.7, 2>, <94, 38.8, 38> }
  texture { PondPinec }
  }

// plywood4

#declare plywood4 = object {
  box { <2, 38.6, 2>, <94, 38.7, 38> }
  texture { maplec }
  }

// plywood5

#declare plywood5 = object {
  box { <2, 38.5, 2>, <94, 38.6, 38> }
  texture { PondPinec }
  }

// sum plywood1 thru plywood5 into plywoodtop

#declare plywoodtop = union {
  object { plywood1 }
  object { plywood2 }
  object { plywood3 }
  object { plywood4 }
  object { plywood5 }
  }

// plywoodlow

#declare plywoodlow = object {
  plywoodtop
  translate <0, -0.5, 0>
  }

// sum plywoodtop and plywoodlow into tableplywood

#declare tableplywood = union {
  object { plywoodtop }
  object { plywoodlow }
  }

// sum tablebutcherblock and tableplywood into tabletop 

#declare tabletop = union {
  object { tablebutcherblock }
  object { tableplywood }
  } 

// tablelegs = tableleg1 thru 4

// tableleg1

#declare tableleg1 = object {
  box { <4, 0, 32>, <8, 38, 36> }
  }
  
// tableleg2

#declare tableleg2 = object {
  tableleg1
  translate <84, 0, 0>
  }

// tableleg3

#declare tableleg3 = object {
  tableleg1
  translate <84, 0, -28>
  }

// tableleg4

#declare tableleg4 = object {
  tableleg1
  translate <0, 0, -28>
  }

// sum tableleg1 thru 4 into tablelegs

#declare tablelegs = union {
  object { tableleg1 }
  object { tableleg2 }
  object { tableleg3 }
  object { tableleg4 }
  texture { 
    maplec
    scale <1, 10, 1>
    }
  }

// sum tabletop and tablelegs into table

#declare table = union {
  object { tabletop }
  object { tablelegs }
  translate <0, 0, 3.5> // moving away from back wall
  } 

