// textures.inc  Pov-Ray Include file of textures used by the Quad project
// (c) January, 2005, Mark Stout

// figurepigment for all woods

#declare figurepigment =
pigment {
    wood
    turbulence <0.04, 0.04, 0.04> 
    octaves 4
    rotate <1, 92, 20>
    scale <0.50, 0.20, 0.20>
}

// vesselpigment for all woods

#declare vesselpigment =
pigment {
    bozo
    scale <0.0001, 0.0001, 0.0001> //just dots; no size (this is wierd
}

// DougFirc Douglas Fir texture for plywood garage wall
// "style" from POV-Ray default "pine" texture
// colors measured from actual wood sample in book
// "What wood is that?" by Herbert L. Edlin (Viking, 1967)
// Hints as to what is "Figure" and "Vessel" from Sep/Oct 2004
// issue of "Fine Woodworking" magazine, P. 92, "Determining
// Grain Direction", by Chris Gochnour


#declare DougFirFigure = color_map { 
    [0.00, 0.20 color rgb <0.7373, 0.4824, 0.1176> color rgb <0.7373, 0.4824, 0.1176>] // light goes here
    [0.25, 0.35 color rgb <0.7373, 0.4824, 0.1176> color rgb <0.5608, 0.2627, 0.0196>] // transition to dark
    [0.35, 0.65 color rgb <0.5608, 0.2627, 0.0196> color rgb <0.5608, 0.2627, 0.0196>] // dark goes here
    [0.65, 0.80 color rgb <0.5608, 0.2627, 0.0196> color rgb <0.7373, 0.4824, 0.1176>] // transition to light
    [0.80, 1.00 color rgb <0.7373, 0.4824, 0.1176> color rgb <0.7373, 0.4824, 0.1176>] // light goes here
  }

#declare DougFirVessel = color_map { 
    [0.00, 0.30 color rgbt <0.8353, 0.5882, 0.2196, 0.00> color rgbt <0.8353, 0.5882, 0.2196, 0.00>]
    [0.30, 1.00 color rgbt <0.8353, 0.5882, 0.2196, 1.00> color rgbt <0.8353, 0.5882, 0.2196, 1.00>] 
}

#declare DougFirc = texture { 
    pigment { 
      figurepigment 
      turbulence <0.04, 0.04, 0.04> 
      octaves 4
      scale <1, 1, 1>
      color_map { 
        DougFirFigure 
      }
    }
  } 
    texture { 
      pigment { 
        vesselpigment 
          color_map { 
            DougFirVessel
            }
          }
       scale <10, 1, 1>
       rotate <2, 5, 1>
        }
    
// shelfpinec = measured color values from a piece of pine shelving layed on my scanner
// This is an original texture

#declare shelfpinec = texture {
  pigment {
    wood
    turbulence < 0.05, 0.08, 1000>
    octaves 4
    scale < 0.7, 0.7, 1000 >
    color_map {
      [0.0 0.5 color rgb < 0.9725, 0.7647, 0.4667> color rgb < 1.0000, 0.9529, 0.7961>]  
      [0.5 1.0 color rgb < 1.0000, 0.9529, 0.7961> color rgb < 0.9725, 0.7647, 0.4667>]  
      }
    }
  finish { 
    ambient 0.2121 
    diffuse 0.707
    }
  }

// walnutc American Black Walnut texture for Klipsch speaker cabinet and Lafayette receiver side and top
// "style" from POV-Ray default "pine" texture
// colors measured from actual wood sample in book
// "What wood is that?" by Herbert L. Edlin (Viking, 1967)
// Hints as to what is "Figure" and "Vessel" from Sep/Oct 2004
// issue of "Fine Woodworking" magazine, P. 92, "Determining
// Grain Direction", by Chris Gochnour

#declare walnutfigure = color_map { 
    [0.0000, 0.1667 color rgb <0.5725, 0.4196, 0.2078> color rgb <0.5725, 0.4196, 0.2078>] 
    [0.1667, 0.3333 color rgb <0.5725, 0.4196, 0.2078> color rgb <0.4706, 0.3333, 0.1569>] 
    [0.3333, 0.4980 color rgb <0.4706, 0.3333, 0.1569> color rgb <0.4706, 0.3333, 0.1569>] 
    [0.4980, 0.5020 color rgb <0.2078, 0.0863, 0.0510> color rgb <0.2078, 0.0863, 0.0510>] 
    [0.5020, 0.6667 color rgb <0.4706, 0.3333, 0.1569> color rgb <0.4706, 0.3333, 0.1569>] 
    [0.6667, 0.8333 color rgb <0.4706, 0.3333, 0.1569> color rgb <0.5725, 0.4196, 0.2078>] 
    [0.8333, 1.0000 color rgb <0.5725, 0.4196, 0.2078> color rgb <0.5725, 0.4196, 0.2078>] 
  }

#declare walnutvessel = color_map { 
    [0.00, 0.30 color rgbt <0.2078, 0.0863, 0.0510, 0.00> color rgbt <0.2078, 0.0863, 0.0510, 0.00>]
    [0.30, 1.00 color rgbt <0.2078, 0.0863, 0.0510, 1.00> color rgbt <0.2078, 0.0863, 0.0510, 1.00> ] 
}

#declare walnutc = texture { 
    pigment { 
      figurepigment 
      turbulence <0.06, 0.06, 0.06> 
      octaves 4
      scale <3, 3, 3>
      color_map { 
        walnutfigure 
      }
    }
  } 
    texture { 
      pigment { 
        vesselpigment 
          color_map { 
            walnutvessel
            }
          }
       scale <10, 1, 1>
       rotate <2, 5, 1>
        }

// aluminumc = measured color of the brushed aluminum side panel of my PC case,
//   layed on my scanner and applied to the Lafayette receiver's face
//   Later added normal modifiers and "spun" texture (below). 

#declare aluminumc = texture {
  pigment {
    color rgb <0.7300, 0.7733, 0.7800>
    }
  normal {
    dents
    scale < 2.0, 0.002, 0.02 >
    }    
  finish { 
    metallic
    ambient 0.01
    diffuse 0.5
    specular 0.5
    roughness 0.01
    reflection 0.25
    brilliance 0.2
    }
  }

// spunaluminum texture written for the knob and button faces 
// too subtle! 

#declare spunaluminumc = texture {
  pigment {
    color rgb <0.7300, 0.7733, 0.7800>
    }
  normal {
    cylindrical slope_map { [0.0, 0.8]  
                            [0.5, 1.0]
                            [1.0, 0.8] }
    frequency 100   
    scale < 1.0, 0.5, 1.0 >
    }    
  finish { 
    metallic
    ambient 0.01
    diffuse 0.5
    specular 0.5
    roughness 0.01
    reflection 0.25
    brilliance 0.2
    }
  rotate <90, 0, 0>
  translate <0, 0, 0.2867>
  }

// NameplateC (15 November 2004)
// Measured color from photo of speaker, used "Pigment" style from "AluminumC" texture, above

#declare NameplateC = texture{
  finish {
    metallic
    ambient 0.1
    diffuse 0.65
    specular 0.85
    roughness 0.01
    reflection 0.45
    brilliance 1.5
    } 
  pigment {
    wood
    turbulence < 1000, 0.07, 0.07>
    octaves 4
    scale < 1000, 0.7, 0.7 >
    color_map {
      [0.000 0.333 color rgb < 1.0000, 0.9529, 0.8392> color rgb < 1.0000, 0.9569, 0.8702>]  
      [0.333 0.667 color rgb < 1.0000, 0.9569, 0.8702> color rgb < 0.9725, 0.8314, 0.6902>]  
      [0.667 1.000 color rgb < 0.9725, 0.8314, 0.6902> color rgb < 1.0000, 0.9529, 0.8392>]  
      }
    }
  scale <1000, 1, 1>
  }

// PondPinec Ponderosa Pine texture for receiver shelf
// "style" from POV-Ray default "pine" texture
// colors measured from actual wood sample in book
// "What wood is that?" by Herbert L. Edlin (Viking, 1967)
// Hints as to what is "Figure" and "Vessel" from Sep/Oct 2004
// issue of "Fine Woodworking" magazine, P. 92, "Determining
// Grain Direction", by Chris Gochnour


#declare PondPineFigure = color_map { 
    [0.0, 0.5 color rgb <0.9059, 0.7137, 0.4353> color rgb <0.7803, 0.5490, 0.1412>] // transition to dark
    [0.5, 1.0 color rgb <0.7803, 0.5490, 0.1412> color rgb <0.9059, 0.7137, 0.4353>] // transition to light
  }

#declare PondPineVessel = color_map { 
    [0.00, 0.30 color rgbt <0.9725, 0.8706, 0.6078, 0.00> color rgbt <0.9725, 0.8706, 0.6078, 0.00>] 
    [0.30, 0.70 color rgbt <0.9725, 0.8706, 0.6078, 1.00> color rgbt <0.6863, 0.8706, 0.6078, 1.00>]
    [0.70, 1.00 color rgbt <0.6863, 0.8706, 0.6078, 0.00> color rgbt <0.6863, 0.8706, 0.6078, 0.00>] 
}

#declare PondPinec = texture { 
    pigment { 
      figurepigment 
      turbulence <0.06, 0.06, 0.06> 
      octaves 4
      scale <9, 9, 9>
      color_map { 
        PondPineFigure 
      }
    }
  } 
    texture { 
      pigment { 
        vesselpigment 
          color_map { 
            PondPineVessel
            }
          }
       scale <1, 10, 1>
       rotate <92, 5, 1>
       }
    
  
// maplec tabletop
// "style" from POV-Ray default "pine" texture
// colors measured from actual wood sample in book
// "What wood is that?" by Herbert L. Edlin (Viking, 1967)
// Hints as to what is "Figure" and "Vessel" from Sep/Oct 2004
// issue of "Fine Woodworking" magazine, P. 92, "Determining
// Grain Direction", by Chris Gochnour

#declare maplefigure = 
color_map { 
    [0.00, 0.35 color rgb <0.8235, 0.6275, 0.3657> color rgb <0.8235, 0.6275, 0.3657>]
    [0.35, 0.45 color rgb <0.8235, 0.6275, 0.3657> color rgb <0.7569, 0.5569, 0.2745>]
    [0.45, 0.55 color rgb <0.7569, 0.5569, 0.2745> color rgb <0.7569, 0.5569, 0.2745>]
    [0.55, 0.65 color rgb <0.7569, 0.5569, 0.2745> color rgb <0.8235, 0.6275, 0.3657>]
    [0.65, 1.00 color rgb <0.8235, 0.6275, 0.3657> color rgb <0.8235, 0.6275, 0.3657>]
}

#declare maplevessel = 
  color_map { 
    [0.00, 0.30 color rgbt <0.8941, 0.7059, 0.4706, 0.00> color rgbt <0.8941, 0.7059, 0.4706, 0.00>]
    [0.30, 1.00 color rgbt <0.8941, 0.7059, 0.4706, 1.00> color rgbt <0.8941, 0.7059, 0.4706, 1.00> ] 
}

#declare maplec = 
    texture { pigment { figurepigment color_map { maplefigure }}} 
    texture { pigment { vesselpigment color_map { maplevessel }}}
    

// MotorboardC Black painted wood texture for face of Klipsch speaker
// Overall layout of texture from Douglass Fir, above
// colors measured from photo of Klipsch Cornwall speaker on Internet
// Hints as to what is "Figure" and "Vessel" from Sep/Oct 2004
// issue of "Fine Woodworking" magazine, P. 92, "Determining
// Grain Direction", by Chris Gochnour


#declare MotorboardFigure = color_map { 
    [0.00, 0.20 color rgb <0.1695, 0.1668, 0.1645> color rgb <0.1695, 0.1668, 0.1645>] // light goes here
    [0.20, 0.35 color rgb <0.1695, 0.1668, 0.1645> color rgb <0.2017, 0.2073, 0.2013>] // transition to dark
    [0.35, 0.65 color rgb <0.2017, 0.2073, 0.2013> color rgb <0.2017, 0.2073, 0.2013>] // dark goes here
    [0.65, 0.80 color rgb <0.2017, 0.2073, 0.2013> color rgb <0.1695, 0.1668, 0.1645>] // transition to light
    [0.80, 1.00 color rgb <0.1695, 0.1668, 0.1645> color rgb <0.1695, 0.1668, 0.1645>] // light goes here
  }

#declare MotorboardVessel = color_map { 
    [0.00, 0.30 color rgbft <0.1262, 0.1277, 0.1281, 0.00, 0.00> color rgbft <0.1262, 0.1277, 0.1281, 0.00, 0.00>]
    [0.30, 1.00 color rgbft <0.1262, 0.1277, 0.1281, 1.00, 1.00> color rgbft <0.1262, 0.1277, 0.1281, 1.00, 1.00>] 
}

#declare MotorboardC = material {
  texture { 
    pigment { 
      figurepigment 
      turbulence <0.04, 0.04, 0.04> 
      octaves 4
      scale <1, 1, 1>
      color_map { 
        MotorboardFigure 
      }
    }
    finish {
      ambient 0.1414 
      diffuse 0.3535
      }
  } 
    texture { 
      pigment { 
        vesselpigment 
          color_map { 
            MotorboardVessel
            }
          }
       scale <10, 1, 1>
       rotate <2, 5, 1>
      finish {
        ambient 0.1414 
        diffuse 0.3535
      }
    }
  }
    
// chromec texture STOLEN! from POV-Ray default "copper" texture
 
#declare chromec = texture{
  finish {
    metallic
    ambient 0.01
    diffuse 0.5
    specular 0.5
    roughness 0.01
    reflection 0.25
    brilliance 0.2
  }
  pigment {
    color rgb <0.7300, 0.7733, 0.7800>
    }
  }

// mattegreyc 

#declare mattegreyc = 
texture {
  pigment { rgb <0.3, 0.3, 0.3> }
  finish {
    ambient 0.2121 
    diffuse 0.707
    }
  }

// mattedarkredc 

#declare mattedarkredc = 
texture {
  pigment { rgb <0.5, 0.25, 0.0> }
  finish {
    ambient 0.01414 
    diffuse 0.707
    }
  }

// slidergoldc 

#declare slidergoldc = 
texture {
  pigment { rgb <0.5, 0.5, 0.0> }
  finish {
    ambient 0.01414 
    diffuse 0.707
    }
  }

// matteivoryc 

#declare matteivoryc = 
  texture {
    pigment { rgb <0.6015, 0.5780, 0.4956> }
    finish {
      ambient 0.01414 
      diffuse 0.707
      }
  }

// mattelightgreyc 

#declare mattelightgreyc = 
texture {
  pigment { rgb <0.707, 0.707, 0.707> }
  finish {
    ambient 0.2121 
    diffuse 0.707
    }
  }

// glosscharcoalc for window gasket on Lafayette receiver

#declare glosscharcoalc = 
texture {
  pigment {
    rgb <0.2, 0.2, 0.2>    
    }
  finish {
    ambient 0.1414 
    diffuse 0.3535
    reflection 0.01
    phong 1.0
    phong_size 100
    }
  }

// mattewhitec for romex and foam egg in speakers

#declare mattewhitec = 
texture {
  pigment { rgb <0.95, 0.95, 0.95> }
  finish {
    ambient 0.2121 
    diffuse 0.707
    }
  }

// glosswhitec for ceiling

#declare glosswhitec = 
texture {
  pigment {
    rgb <1.0, 1.0, 1.0> 
    }
  finish {
      ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// garagedoorwhitec 

# declare garagedoorwhitec = texture {
  pigment {
    rgb <0.6133, 0.6211, 0.6172> 
    }
  finish {
      ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// garagedoorbrownc 

#declare garagedoorbrownc = texture {
  pigment {
    rgb <0.2078, 0.0863, 0.0510> 
    }
  finish {
      ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// Lafayetteventbrownc (that's "vent" not "event")

#declare Lafayetteventbrownc = texture {
  pigment {
    rgb <0.4156, 0.1726, 0.1020> 
    }
  finish {
    ambient 0.1414 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// glossgreyc for garage floor
 
#declare glossgreyc = 
texture {
  pigment {
    rgb <0.5, 0.5, 0.5> 
    }
  finish {
    ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// glossivoryc used on "selector" knob lettering on receiver
// color measured from an ivory cross photo found on the internet

#declare glossivoryc = 
texture {
  pigment {
    rgb <0.9529, 0.9059, 0.7412> 
    }
  finish {
      ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// tweeterhornc

#declare tweeterhornc = 
texture {
  pigment {
    rgb <0.2070, 0.2031, 0.1953> 
    }
  finish {
    ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// tweeterchromec measured color of center-most "ball" and "ring" visible in a photo of 
//   Klipsch Cornwall speaker on the Internet

#declare tweeterchromec = texture {
  pigment {
    wood
    turbulence < 1000, 0.07, 0.07>
    octaves 4
    scale < 0.5, 100, 0.5 >
    color_map {
      [0.0 0.5 color rgb < 0.5898, 0.5742, 0.5508> color rgb < 0.6055, 0.5977, 0.5781>]  
      [0.5 1.0 color rgb < 0.6055, 0.5977, 0.5781> color rgb < 0.5898, 0.5742, 0.5508>]  
      }
    }
  finish { 
    metallic
    ambient 0.1
    diffuse 0.65
    specular 0.5
    roughness 0.01
    reflection 0.25
    brilliance 0.5
    }
  scale <0.0001, 0.0001, 1>
  }

// midhornc

#declare midhornc = 
texture {
  pigment {
    rgb <0.1953, 0.1953, 0.1953> 
    }
  finish {
    ambient 0.1414 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// middriverc

#declare middriverc = 
texture {
  pigment {
    rgb <0.1758, 0.1758, 0.1758> 
    }
  finish {
    ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// emeraldglowc 

#declare emeraldglowc = 
texture {
  pigment { rgb <0, 1, 1> }
  finish {
    ambient 1.0 
    diffuse 0.1414
    }
  }

// meterc 

#declare meterc = 
  texture {
    pigment { 
      wood
        color_map { [ 0 1 color rgb <0, 1.0, 0.850> color rgb <0, 0.5, 0.425>] 
        }
    }
  finish {
    ambient 1.0 
    diffuse 0.1414
    }
  scale <3.0, 1.5, 1>
  translate <17.222515, 63.375>
  } 

// dialc 

#declare dialc = texture {
  pigment { 
    gradient x
      color_map { [ 0.00 0.25 color rgb <0, 0.425, 0.5> color rgb <0, 0.425, 0.5> ] 
                  [ 0.25 0.40 color rgb <0, 0.425, 0.5> color rgb <0, 0.850, 1.0> ] 
                  [ 0.40 0.50 color rgb <0, 0.850, 1.0> color rgb <0, 0.425, 0.5> ] 
                  [ 0.50 0.60 color rgb <0, 0.425, 0.5> color rgb <0, 0.850, 1.0> ]
                  [ 0.60 0.75 color rgb <0, 0.850, 1.0> color rgb <0, 0.425, 0.5> ] 
                  [ 0.75 1.00 color rgb <0, 0.425, 0.5> color rgb <0, 0.425, 0.5> ] 
       }
  }
  finish {
    ambient 1.0 
    diffuse 0.1414
    }
  scale <9, 1, 1>
  translate <19, 0, 0>
  }

// mattecharcoalc 

#declare mattecharcoalc = texture {
    pigment { rgb <0.2, 0.2, 0.2> }
    finish {
      ambient 0.2121 
      diffuse 0.707
      }
    }

// cordsatinc

#declare cordsatinc = texture { 
    pigment { 
      rgb <0.125, 0.125, 0.125 >
      }
    finish {
      ambient 0.2121
      diffuse 0.707
      reflection 0.05
      phong 0.5
      phong_size 50   
    }
  }  
  
// matteblackc for tuner dial backing

#declare matteblackc = 
texture {
  pigment { rgb <0, 0, 0> }
  finish {
    ambient 0.2121 
    diffuse 0.707
    }
  }

// glossblackc used on receiver lettering

#declare glossblackc = texture {
    pigment {
      rgb <0.05, 0.05, 0.05> 
      }
  finish {
    ambient 0.2121 
    diffuse 0.707
    reflection 0.1
    phong 1.0
    phong_size 100
    }
  }

// lucitec for "redface" dial pointer; STOLEN! from POV-Ray default "Glass2" texture:

#declare lucitec = material {
  texture {
    pigment { 
      rgbf <1,1,1,1> 
      }
    finish {
      ambient 0
      diffuse 0
      reflection 0.5
      phong 0.3
      phong_size 60
      }
    }
  interior {
    ior 1.5
    }
  } // end lucitec

// redmirrorc texture, STOLEN from "chromec" texture, above, which was
//   STOLEN! from POV-Ray default "copper" texture
 
#declare redmirrorc = texture{
  finish {
    metallic
    ambient 0.01
    diffuse 0.5
    specular 0.5
    roughness 0.01
    reflection 0.25
    brilliance 0.2
  }
  pigment {
    color rgb <0.8650, 0.3866, 0.3900>
    }
  }


// vertweave pigment for Burlap texture

#declare vertweave = normal { 
  marble 1
  }  

// horizweave pigment for Burlap texture

#declare horizweave = normal {
  vertweave
  rotate <0, 0, 90>
  }
  
// burlap texture

#declare burlapc = texture {
  pigment {
    color rgb <0.4667, 0.4118, 0.3118> 
    }
  finish {
    ambient 0.2121 
    diffuse 0.75
    }
  normal {
    checker normal { vertweave }, normal { horizweave }
    }      
  scale <0.2, 0.2, 0.2> 
  }
 
// screenbackc 
 
#declare screenbackc = texture {
   pigment {
      bozo
      turbulence 0.56
      color_map {
         [ 0.0, 0.5 color rgb <0.3, 0.0, 0.0> color rgb <0.1, 0.0, 0.0> ]
         [ 0.5, 1.0 color rgb <0.1, 0.0, 0.0> color rgb <0.3, 0.0, 0.0> ]
       }
     }
   finish {
     ambient 0.707 
     diffuse 0.1414
     }
   }

// screenquec 
 
#declare screenquec = texture {
   pigment {
      bozo
      turbulence 0.56
      color_map {
         [ 0.0, 0.5 color rgb <0.5, 0.5, 0.5> color rgb <0.2, 0.2, 0.2> ]
         [ 0.5, 1.0 color rgb <0.2, 0.2, 0.2> color rgb <0.5, 0.5, 0.5> ]
       }
     }
   finish {
     ambient 0.707 
     diffuse 0.1414
     }
   rotate <0, 0, 90>
   }

// stereoc 

#declare stereoc = texture {
  pigment { 
    gradient x
      color_map { [ 0.0 0.5 color rgb <0.3, 0.0, 0.0> color rgb <0.8, 0.0, 0.0> ] 
                  [ 0.5 1.0 color rgb <0.8, 0.0, 0.0> color rgb <0.3, 0.0, 0.0> ] 
       }
  }
  finish {
    ambient 1.0 
    diffuse 0.1414
    }
 scale <5.0, 1, 1>
  }

